// JavaScript Document

		//83, 296, 510
	var manifest = [
		{src: "motion01.png", class:"motion", x:0, y:0, width:640, height:800},
		{src: "motion02.png", class:"motion", x:0, y:0, width:640, height:800},
		{src: "motion03.png", class:"motion", x:0, y:0, width:640, height:800},
		{src: "pop.png", class:"pop", x:360, y:240, width:360, height:360, time:400, rotation:359},
		{src: "icon01.png", class:"icon", x:320, y:-55, z:0, width:110, height:110, score:1, target:"icon", hitscale:1, time:1000, pause:250, timetweak:[2000,3000], slot:"a"},
		{src: "icon02.png", class:"icon", x:320, y:-55, z:0, width:110, height:110, score:1, target:"icon", hitscale:1, time:1000, pause:250, timetweak:[2000,3000], slot:"b"},
		{src: "icon03.png", class:"icon", x:320, y:-55, z:0, width:110, height:110, score:1, target:"icon", hitscale:1, time:1000, pause:250, timetweak:[2000,3000], slot:"c"},
		{src: "icon04.png", class:"icon", x:320, y:-55, z:0, width:110, height:110, score:1, target:"icon", hitscale:1, time:500, pause:500, timetweak:[500,3000], slot:"d"},
//		{src: "icon05.png", class:"icon", x:320, y:-55, z:0, width:110, height:110, score:5, target:"icon", hitscale:1, time:1000, pause:250, timetweak:[1000,1500], slot:"e"},
//		{src: "icon06.png", class:"icon", x:320, y:-55, z:0, width:110, height:110, score:10, target:"icon", hitscale:1, time:1000, pause:250, timetweak:[1000,1500], slot:"f"},
		{src: "spacer1x1canvas.png", class:"offplayer", x:320, y:-400, width:110, height:110, track:false}, //player_off.png
		{src: "player_on.png", class:"player", x:320, y:700, width:110, height:110, drag:"x", spin:false},
		{src: "overlay.png", class:"skin", x:0, y:0},
		{src: "spacer1x1canvas.png", class:"roundtab", x:320, y:70, width:150, height: 50, offset:50, }, // "roundtab.png"
		{src: "spacer1x1canvas.png", class:"roundcount", x:30, y:33, width:50, height: 50, offset:50, }, // "roundcount.png"
		{src: "spacer1x1canvas.png", class:"playnext", width:160, height:160, track:true}, // "playnext.png"
		{src: "numbers_timer.png", class:"timer", x:585, y:36, offset:50, time:30, track:true},
		{src: "numbers_score.png", class:"score", x:55, y:36, offset:50,},
		{src: "btn_exit00.png", class:"exit", x:320, y:400, width:640, height:800, pause:1500, time:1000, offset:60, linkto:"replace"},
		{src: "btn_exit01.png", class:"exit", x:320, y:400, width:640, height:800, pause:1500, time:1000, offset:60, linkto:"replace"},
		{src: "numbers_scorefinal.png", class:"score", x:320, y:520, offset:50, }, // y:400
		{src: "directions.png", class:"directions", x:320, y:400, width:640, height:800, track:true},
	];

/*

iconList[0].target = "icon", "player", "icon-player"
iconList[0].hitscale = 1 (default) : smallest icon scale to count a hit.
iconList[0].timetweak = [timeOffset, pauseOffset] : default is 0, add to time and pause for randomizing the time/pause length.
playerList[0].target = "x", "xy", "icon-player"
playerList[0].spin = true, false, 
playerList[0].dragstyle = "x" (hrz drag only) ||"y" (hvrt drag only) || "xy" (any direction)

*/
var gamespecs = {
	hitrange:75, collision:"passive",
}

/*

gamespecs.hitrange = range cut off to score hit. 
gamespecs.collision = "active" only  hit on downpress || "passive" hits count anytime during play

*/

var scorespecs =
		{
			scoremin:10, scoremax:10, class:"standard", finalin:createjs.Ease.sinecOut,
		};

/*
		scorespecs.scoremin = minimum passing score
		scorespecs.scoremax = maximum passing score
		scorespecs.class = "standard" = normal score tracking, "invert" = invert 1 and 0 for exit dispaly
*/

var directionspecs = {
			tweenin:createjs.Ease.sineOut, pausein:500, timein:1200, alphain:0, scalexin:0, scaleyin:0, spinin:0, xin:0, yin:0,  sparksin:false,
			tweenout:createjs.Ease.sineIn, pauseout:0, timeout:1200, alphaout:0, scalexout:0, scaleyout:0, spinout:0, xout:0, yout:0, sparksout:false,
}

/*
		// DIRECTIONS TWEEN OUT ....
		directionspecs.directions:true, 
		directionspecs.tweenin:createjs.Ease.elasticOut
		directionspecs.pausein
		directionspecs.timein
		directionspecs.alphain
		directionspecs.scalexin
		directionspecs.scaleyin
		directionspecs.spinin
		directionspecs.xin
		directionspecs.yin
		
		// DIRECTIONS TWEEN OUT ....
		directionspecs.tweenout
		directionspecs.pauseout:
		directionspecs.timeout:1500
		directionspecs.alphaout
		directionspecs.scalexout
		directionspecs.scaleyout
		directionspecs.spinout
		directionspecs.xout
		directionspecs.yout

*/

var playerspecs = {
			tweenin:createjs.Ease.sineOut, pausein:500, timein:1000, alphain:0, scalexin:0, scaleyin:0, spinin:359, xin:0, yin:0,  sparksin:false,
			tweenout:createjs.Ease.sineIn, pauseout:0, timeout:300, alphaout:0, scalexout:1.5, scaleyout:1.5, spinout:180, xout:0, yout:0, sparksout:false,
			bounds:[55,200,600,720], spintune:0.3, spincenter:[320,400], inplaypause:750,
			advance:false, advancemax:1, advanceoff:false, advancetargets:["icon"], timercutoff:1,
}

/*
		// PLAYER TWEEN OUT ....
		playerspecs.tweenin:createjs.Ease.elasticOut
		playerspecs.pausein
		playerspecs.timein
		playerspecs.alphain
		playerspecs.scalexin
		playerspecs.scaleyin
		playerspecs.spinin
		playerspecs.xin
		playerspecs.yin
		
		// PLAYER TWEEN OUT ....
		playerspecs.tweenout
		playerspecs.pauseout:
		playerspecs.timeout:1500
		playerspecs.alphaout
		playerspecs.scalexout
		playerspecs.scaleyout
		playerspecs.spinout
		playerspecs.xout
		playerspecs.yout
		playerspecs.bounds:[0,0,640,480], [x,y,width,hieght] // boundary for draggable area, demo smaller = [100,100,540,380]
		playerspecs.spintune - default = 1, uses to tweak sensitivty of drag rotation, use 0.3 for modest drag rotation
		playerspecs.spincenter[0] - x center refernce for x or y dragstyle
		playerspecs.spincenter[1] - y center refernce for x or y dragstyle
		playerspecs.inplaypause  - pause before reseting inplay=true for next game player try. 
		playerspecs.advance - true = player changes when hit || false = only one player icon
		playerspecs.advancemax - max number of advances before starting over
		playerspecs.advanceoff - true = off player changes when hit || false = only one off player icon
		playerspecs.advancetargets - list of target hits that show player advance ["icon", "icon-player", "player"]
		playerspecs.timercutoff = lowest time allowed to reset player before exit : 0,1,2, or 3

*/

var iconspecs = {
			inx:[320], iny:[-55], outx:[320], outy:[800], exitclass:"y", 
			randominxy:[265,0], randomoutxy:[0,0], randomspin:180, randompause:500,
			tween:createjs.Ease.sineOut, alphain:1, scalexin:1, scaleyin:1, spinin:360, 
			scalexout:1, scaleyout:1, activeshow:true,
}

/*

VERTICAL EXAMPLE TOP-TO-BOTTOM == 
inx:[320], iny:[-55], outx:[320], outy:[695], exitclass:"y", 
randominxy:[265,0], randomoutxy:[0,0], randomspin:180, randompause:500,

HORIZONTAL EXAMPLE LEFT-TO-RIGHT ==
inx:[-55], iny:[240], outx:[695], outy:[240], exitclass:"x", 
randominxy:[0,185], randomoutxy:[0,0], randomspin:180, randompause:500,

CENTER OUT EXAMPLE ==
inx:[320], iny:[100], outx:[320], outy:[535], exitclass:"xy", 
randominxy:[0,0], randomoutxy:[320,0], randomspin:180, randompause:1000,
alphain:0, scalexin:0, scaleyin:0, spinin:360, 
	
*/

/*
iconInXlist = iconspecs.inx; // [320]
iconInYlist = iconspecs.iny; // [0]
iconOutXlist = iconspecs.outx; // [320]
iconOutYlist = iconspecs.outy; // [640]
iconExitClass = iconspecs.exitclass; "x" goes horizontal, "y" goes vertical, "xy" goes horizontal & vertical
iconOffsetXIn = iconspecs.randominxy[0]; // [100,0] [xOffset,yOffset]
iconOffsetYIn = iconspecs.randominxy[1]; // [100,0] [xOffset,yOffset]
iconOffsetXOut = iconspecs.randomoutxy[0]; // [0,0] [xOffset,yOffset]
iconOffsetYOut = iconspecs.randomoutxy[1]; // [0,0] [xOffset,yOffset]
iconOffsetSpin = iconspecs.randomspin; // 180,
iconOffsetPause = iconspecs.randompause; // 500,
iconTween = iconspecs.tween; // createjs.Ease.sineOut
iconAlphaIn = iconspecs.alphain; // 0
iconScaleXin = iconspecs.scalexin; // 0
iconScaleYin = iconspecs.scaleyin; // 0
iconSpinIn = iconspecs.spinin; // 180
iconScaleOutX = iconspecs.scalexout; // 1.5
iconScaleOutY = iconspecs.scaleyout; // 1.5
iconActiveShow = iconspecs.activeshow :: true = icons hide when player not active, false =  icons always show
*/

/*
COLLISION ON DOWNPRESS  ::::::::::

manifest class:"offplayer" == track:true
gamespecs.collision == collision:"active"
iconspecs.activeshow == activeshow:true,

COLLISION ALWAYS ON ::::::::::

manifest class:"offplayer"  track:false
gamespecs.collision  collision:"passive"
iconspecs.activeshow == activeshow:true,

*/

var bkgspecs = {
			inx:320, iny:-400, outx:320, outy:720,
			alphain:1, alphaout:0, scalein:1, scaleout:1,
			spin:0, spinoffset:0, randomangles:false,
			time:1000, next:500, timeoffset:0, pause:1000, pauseoffset:0,
			forever:true,
			tween:createjs.Ease.linear, 
}

/*
bkgspecs.forever = true - loop at end of game || false = stop loop at end of game
*/

/*
Scenario Setting: no icon hits when player is out or tweening...

	{src: "spacer1x1canvas.png", class:"offplayer", x:320, y:-240, width:110, height:110, track:false},
	gamespecs.collision:"passive",  // hits anytime
	iconspecs.activeshow:true // icons only show after playe press

Scenario Setting:  no icon hit on pressup...

	{src: "player_off.png", class:"offplayer", x:320, y:-240, width:110, height:110, track:true},
	
	gamespecs.collision:"active", // hits only onpress
	iconspecs.activeshow:true  // icons only show after playe press

Scenario Setting:  player hit anytime during game session...

	{src: "spacer1x1canvas.png", class:"offplayer", x:320, y:-240, width:110, height:110, track:false},
	gamespecs.collision:"passive",  // hits anytime
	iconspecs.activeshow:false // icons constantly loop
*/

var exitspecs = {
	tweenin:createjs.Ease.sineOut, 
}

/*
exitspecs.tweenin	
*/

var killspecs = {
	killpositive:false, killnegative:false, ceilingnegative:1,
};
/*
markerspecs.killpositive : true = remove icon if positive score when hit || false= keep positive score icon when hit
markerspecs.killnegative : true = remove icon if negative score when hit || false= keep negative score icon when hit
markerspecs.ceilingnegative : highest negative score for killNegative, typically -1, 0, or 1, 
*/

// 	markerx:[116, 167, 218, 269, 320, 371, 422, 473, 524, 579, 579, 579, ], // 12 markers
/* ::::::::::: [ MARKER SPECS ] ::::::::::: */
var markerspecs = {
	offset:50, introalpha:0, count:12, hideonexit:true, rightwrong:true, negativefloor:0, showonround:true, 
	offsetx:0, offsety:0, scaleinx:0, scaleiny:0, inalpha:0, rotation:0, pause:0, time:300, tween:createjs.Ease.sineOut,
	markerx:[270, 320, 370, 270, 320, 370, 270, 320, 370, 270, 320, 370, ], // 12 markers
	markery:[ 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, ], // 
	markerz:[0,0,0,1,1,1,2,2,2,3,3,3],
}

/*

markerx:[90, 141, 192, 243, 294, 345, 396, 447, 498, 549], // 10 markers timer
markerx:[89, 131, 173, 215, 257, 299, 341, 383, 425, 467], // 10 markers tab
markerx:[200, 260, 320, 380, 440, 999, 999, 999, 999, 999 ], // 5 markers
markerx:[260, 320, 380, 999, 999, 999, 999, 999, 999, 999 ], // 3 markers
markerx:[320, 999, 999, 999, 999, 999, 999, 999, 999, 999 ], // 1 marker
	
markerspecs.offset = WIDTH x HEIGHT of mask
markerspecs.introalpha = alpha to QA postions of markers
markerspecs.count = maximum number of markers used
markerspecs.hideonexit - true = hide makers on exit pop-up || false = leave markers on exit pop-up
markerspecs.rightwrong - true = bmp has double column of right/wrong || false = bmp has one column (just clicked, not right/wrong)
markerspecs.negativefloor :  lowest score to show marker, use for for cut of between positive & negative scores
markerspecs.showonround : false = markers show for full game, markers show for round only

markerspecs.offsetx = intro offset for x position
markerspecs.offsety = intro offset for x position
markerspecs.scaleinx = intro horizontal scale
markerspecs.scaleiny = intro vertical scale
markerspecs.inalpha = intro alpha at start of tween
markerspecs.rotation = intro rotation

markerspecs.pause = pause offset before tween
markerspecs.time = time of tween
markerspecs.tween = type of tween
markerspecs.markerx = array of x positions
markerspecs.markery = array of y positions
markerspecs.markerz =  arrray of z indexes for round display

*/

var roundspecs = {
	roundmax:1, 
	scoremax:[3,3,3,3,3,3,3,3,3,3],
	scoremin:[0,0,0,0,0,0,0,0,0,0],
	times:[30,25,20,15,30,30,30,30,30,30],
	resetsparks:true,
	roundreplay:true,
	showscreenscore:false,
	showexitscore:false,
	multiexit:"rounds",
};

/*
round = number of rounds to play game
roundspecs.roundmax = number of rounds to play before end, 1 turns round tracking off
roundspecs.scoremax = score to close round
roundspecs.scoremin = minimum score for round
roundspecs.times = time to close round
resetsparks.resetsparks: true= sparks on resets || false = no sparks on resets
roundspecs.roundreplay = true:must replay if score not met || false: advance to next round
roundspecs.showscreenscore = true: show score during play || false = hide score during play 
roundspecs.showexitscore = true: show exit pop-up score || false = hide exit pop-up score;
roundspecs.multiexit = "rounds" for rounds win || "points" for game point total
*/

// x:[160, 320, 480, 320, 320, 320, 320, 320, 320, 320,],
var roundtabspecs = {
	x:[174, 320, 463, 521, 320, 320, 320, 320, 320, 320,],
	y:[70, 70, 70, 70, 70, 70, 70, 70, 70, 70, ],
}

// 118, 253, 387, 521

/*
roundtab = feedback tab of current round
roundtabspecs.x = x postion of roundtab tracker
roundtabspecs.y = y postion of roundtab tracker
*/

var playnextspecs = {
	offset:160, count:5, replay:false, 
	playnextx:[320, 320, 320, 320, 320, 320, 320, 320, 320, 320,  ], // 10
	playnexty:[400, 400, 400, 400, 400, 400, 400, 400, 400, 400,   ], // 10
	tweenin:createjs.Ease.sineIn, pausein:0, timein:750, alphain:1, scalexin:0, scaleyin:0, spinin:0, xin:0, yin:0,  sparksin:false,
	tweenout:createjs.Ease.sineIn, pauseout:0, timeout:500, alphaout:0, scalexout:0, scaleyout:0, spinout:180, xout:0, yout:0, sparksout:false,
};


