	var jsonId;
	var jsonType;
	var jsonSuccess;
	var jsonFail;
	var jsonIndex = -1;
	var optionList;
	var jsonRequired;
	var jsonApi;
	var jsonUtility01;
	var jsonPlayerId;	
	var jsonPrimary;
	var jsonAlign;
	var jsonUlc;
	var jsonMailBounce;
	var hasMailBounce = false;
	var ulcDefault = "user"; // collapse, user, uppercase, lowercase, mixedcase
	var blockGroup;
	var blockIndex;
	var blockDeleteList = [];
	
	var validList = [];
	var liveForm = true;
	var thisHost = window.location.protocol + "//" + window.location.hostname;

	var filterGroupList = [];
	var filterCountList = [];
    var chainSuccess = "";
	var chainFail = "";

	var primaryEmailTag = "email-primary";
	var primaryPhoneTag = "phone-primary";
	var playerIdTag = "player-id";
	var playeIdTarget = "";
	
	// SET SHORT-HAND FOR PATH TO NESTED formContent JSON NODE
	var formContent = formOptions.form_content;
	var formChannel = formOptions.form_channel;
	var gpsContent; // set in checkGpsJson(), gpsContent = gpsOptions.gps_content; 
	
		switch(formChannel) {
			case "none":
				setCanvasUi(); // form_styler.js
				break;
			case "entry":
				doFormInit();
				break;
			case "exit":
				doFormInit();
				break;
			case "formdata":
				addDemoJson();
				break;
			default:
				doFormInit();
		}
	
	function doFormInit(){
		
		if(pageid == "fulfillment"){
			winlevel = exitlevel;	
		}
		
		if(formChannel == "none"){
			setCanvasUi();
		} else {
			//setFormColors();
			addForm();
		}
		
		
	}
	
	function addDemoJson(){
			var thisForm = formOptions.form_channel;
			if(thisForm == "formdata" && pageid == "index" ){
				formOptions = demoEntry; // demoEntry IN form_styler.js !
			} // END IF
			
			if(thisForm == "formdata" && pageid == "fulfillment" ){
				formOptions = demoExit;  // demoExit IN form_styler.js !
			} // END IF
			
			
			formContent = formOptions.form_content;
			formChannel = formOptions.form_channel;
			
			doFormInit();
		}
	
	function addForm(){
    
		// function in formStyler.js
		addFormStyles();
		
		var thisUrl = document.location.href;
		var fileIndexOf = thisUrl.indexOf("file:");
		var adminIndexOf = thisUrl.indexOf("/admin/");
		filterGroupList = []; // reset select chain arrays
		filterCountList = []; // reset select chain arrays
		
		if(fileIndexOf > -1 || adminIndexOf > -1){
			liveForm = false;
		}
		
		validList = [];
		jsonIndex = -1;
		
		if(formOptions.reserved && formOptions.reserved.mailbouncemsg && liveForm == false){
			formOptions.reserved.mailbouncemsg = "";
			formOptions.reserved.mailbounceinline = "";
		}
		
		
		for (var i = 0; i < formContent.length; i++) { 
			 
			 jsonId = formContent[i].id;
			 jsonType = formContent[i].type;
			 jsonSuccess = formContent[i].success;
			 jsonFail = formContent[i].fail;
			 jsonUtility01 = formContent[i].utility01;
			 jsonRequired = formContent[i].required;
			 jsonAlign = formContent[i].align;
			 if(formContent[i].ulcfilter){jsonUlc = formContent[i].ulcfilter}else{jsonUlc = ulcDefault} ;
			 jsonOptions = formContent[i].options;
			 jsonRange = formContent[i].range;
			 jsonPlayerId = formContent[i].playerid;
			 jsonPrimary = formContent[i].primary;
			 jsonApi = formContent[i].api;
			 jsonMailBounce = formContent[i].mailbounce || "none";
			 if(jsonMailBounce == "inline" || jsonMailBounce == "message"){jsonRequired = true};
			 optionList = formContent[i].options;
			 jsonIndex += 1;
			 blockGroup = "blockgroup-" + i;
			 blockIndex = i;
			
			if(formOptions.form_class== "exit" && jsonRange.indexOf(winlevel) == -1){
				blockGroup += " collapse";
			}
			
			if(isWireframe == true && formOptions.form_class== "exit" && jsonRange.indexOf(winlevel) == -1){
				var thisFilterGroup = ".blockgroup-" + i;
				blockDeleteList.push(thisFilterGroup);
				jsonRequired = formContent[i].required = false; // overwrite required if not shown
			}
				
				switch(jsonType) {
					case "text":
						addText();
						break;
					case "text-custom":
						addCustomText();
						break;
					case "text-max":
						addTextMax();
						break;
					case "guess-entry":
						addGuessEntry();
						break;
					case "text-misc":
						addTextMisc();
						break;
					case "text-label":
						addTextLabel();
						break;
					case "required-pin-label":
						addTextLabel();
						break;
					case "pin-label-uri":
						addTextLabel();
						break;
					case "pin-label-uri-disabled":
						addTextLabel();
						break;
					case "text-label-uri":
						addTextLabel();
						break;
					case "text-label-uri-disabled":
						addTextLabel();
						break;
					case "pin-field-uri":
						addTextPattern();
						break;
					case "pin-field-uri-disabled":
						addTextPattern();
						break;
					case "text-field-uri":
						addTextPattern();
						break;
					case "text-field-uri-disabled":
						addTextPattern();
						break;
					case "input-range":
						addInputRange();
						break;
					case "text-pattern":
						addTextPattern();
						break;
					case "required-pin-field":
						addTextPattern();
						break;
					case "hidden-text":
						addHiddenText();
						break;
					case "hidden-email":
						addHiddenText();
						break;
					case "text-promocode":
						addPromoCodeText();
						break;
					case "email":
						addEmail();
						break;
					case "email-pair":
						addEmailPair();
						break;
					case "email-lc":
						if(version.api < 13){ // fix for mailbounce
							addEmailLc();
						} else{
							jsonUlc = "lowercase";
							addEmail();
						}
						break;
					case "email-submitted-locked":
						addEmailSubmitted();
						break;
					case "email-submitted-unlocked":
						addEmailSubmitted();
						break;
					case "email-submitted-locked-input":
						addEmailSubmittedInput();
						break;
					case "email-submitted-unlocked-input":
						addEmailSubmittedInput();
						break;
					case "tel":
						addTelephone();
						break;
					case "tel-int":
						addIntTelephone();
						break;
					case "textrow":
						addTextRow();
						break;
					case "bday-text":
						addBdayText();
						break;
					case "bday-select":
						addBdaySelect();
						break;
					case "bday-checkbox":
						addCheckBoxBday();
						break;
					case "bday-filter":
						addBdayFilter();
						break;
					case "textselect":
						addTextSelect();
						break;
					case "zip":
						addZip();
						break;
					case "select":
						addSelect();
						break;
					case "select-chain-filter":
						addSelectChainFilter();
						break;
					case "select-chain-vertical":
						addSelectChainVertical();
						break;
					case "select-row":
						addSelectRow();
						break;
					case "select-row-label":
						addSelectLabelRow();
						break;
					case "checkbox":
						addCheckBox();
						break;
					case "checkbox-vertical":
						addCheckVertical();
						break;
					case "checkbox-horizontal":
						addCheckHorizontal();
						break;
					case "checkbox-rules":
						addCheckRules();
						break;
					case "checkbox-rules-popup":
						addCheckRulesPopUp();
						break;
					case "footer":
						addRulesFooterText();
						break;
					case "radio-column":
						addRadioColumn();
						break;
					case "radio-row":
						addRadioRow();
						break;
					case "textarea":
						addTextArea();
						break;
					case "textp":
						addTextP();
						break;
					case "text-h5":
						addTextH5();
						break;
					case "textp-long":
						addTextPLong();
						break;
					case "pin-code":
						addPinCode();
						break;
					case "pin-code":
						addPinCode();
						break;
					case "link-pincodes":
						addLinkPinCode();
						break;
					case "horizontal-rule":
						addHrzRule();
						break;
					case "form-image":
						addFormImage();
						break;
					case "em-space":
						addEmSpace();
						break;
					case "element-custom":
						addCustomElement();
						break;
					case "geo-input":
						addGeoInput();
						break;
					case "geo-checkbox":
						addGeoCheckbox();
						break;
					case "geo-check-redirect":
						addGeoRedirect();
						break;
					case "geo-checkbox-open":
						addGeoCheckOpen();
						break;
					case "captcha":
						addCaptcha();
						break;
					case "button":
						addButton();
						break;
					case "button-goback":
						addButtonGoBack();
						break;
					case "button-url":
						addButtonUrl();
						break;
					case "text-btn-url":
						addTextBtnUrl();
						break;
					case "text-url":
						addTextUrl();
						break;
					case "button-or-exit":
						addButtonOrExit();
						break;
					case "button-enabled":
						addButtonEnabled();
						break;
					default:
						addText();
				} // end switch
				
			// }// end indexOf if
			
			//console.log("form_generator.js jsonPlayerId" + jsonPlayerId)
			
			if(jsonPlayerId == true){
				addPlayerId();
			}
			
		 } // END JSON FOR loop
		 //console.log("validList = " + validList);
		 addDemoBtn();
		 validOnLoad();
		 if(isWireframe == false){ serializeFormNames() };
		 if(blockDeleteList.length > 0){ filterExitForm() };	
		 if(hasMailBounce == true && isWireframe == true){filterMailBounceTypes()}
	} // end addForm()


function filterExitForm(){
	
	for (i = 0; i < blockDeleteList.length; i++) { 
		var deleteClass = blockDeleteList[i];
		$(deleteClass).remove();
	}
	
}

	function addText(){
//<input name="[VAR]" class="form-control" id="[VAR]" placeholder="[VAR]" data-success="[VAR]" data-fail="[VAR]" required="[VAR]" type="[VAR]">
		
		var thisElement = 
				
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback " + blockGroup + "'>" +
		"<input type='text'" + //jsonType +
		" class='form-control screenInput' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonSuccess + 
		"' data-index='" + jsonIndex + 
		"' data-block='" + blockIndex + 
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail + 
		"' data-ulc='" + jsonUlc + 
		"' data-apicheck='" + jsonApi +
		"'>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
		
			if(jsonPlayerId == true){
				// note playerId target element
				playeIdTarget = "#" + jsonId; 
			} // end PlayerId
	}
	
	function addCustomText(){
		
		//jsonId += ("-" + jsonIndex);
		
		var thisElement = 
				
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback " + blockGroup + "'>" +
		"<input type='text'" + //jsonType +
		" class='form-control screenInput' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonSuccess + 
		"' data-index='" + jsonIndex +
		"' data-block='" + blockIndex + 
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail + 
		"' data-ulc='" + jsonUlc +
		"' data-apicheck='" + jsonApi +
		"'>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
		
			if(jsonPlayerId == true){
				// note playerId target element
				playeIdTarget = "#" + jsonId; 
			} // end PlayerId
		
	}
	
	function addPromoCodeText(){
		
		//jsonId += ("-" + jsonIndex);
		
		var thisElement = 
				
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback " + blockGroup + "'>" +
		"<input type='text'" + //jsonType +
		" class='form-control screenPromoCode' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonSuccess + 
		"' data-index='" + jsonIndex +
		"' data-block='" + blockIndex + 
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail + 
		"' data-code='" + jsonUtility01 + 
		"' data-ulc='" + jsonUlc + 
		"' data-apicheck='" + jsonApi +
		"'>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
	}
	
	var targetLat;
	var targetLong;
	var maxCoordinate;
	var geoTimer = false;
	var isGpsActive = false;
	var gpsInRange = false;
	
	function addGeoInput(){
		
		checkGpsJson();
		
		var thisMobileElement = 
				
		"<div class='geoElements" + blockGroup + "'> \
			<label id='latitudeLabel' class='geoLabel'>" + jsonSuccess + "</label> \
			<input type='text' class='form-control geoInput' id='latitude' name='latitude' placeholder='latitude'> \
		  </div> \
		  <div class='geoElements" + blockGroup + "'> \
			<label id='longitudeLabel' class='geoLabel'>" + jsonFail + "</label> \
			<input type='text' class='form-control geoInput' id='longitude' name='longitude' placeholder='longitude'> \
		  </div> \
		  <div class='collapse" + blockGroup + "'> \
			<input type='text' class='form-control' id='geovalid' name='geovalid' placeholder='geovalid' data-apicheck='" + jsonApi + "'> \
			<input type='text' class='form-control' id='geodistance' name='geodistance' placeholder='geodistance'> \
			<input type='text' class='form-control' id='gps-id-location' name='gps-id-location' placeholder='gps-id-location'> \
		  </div>";
		  
		  var thisDeskstopElement = "<p class='text-center text-danger" + blockGroup + "'>" + jsonUtility01 + "</p>";
		
		var thisDeskstopValid =
		"<div class='collapse'> \
			<input type='text' class='form-control" + blockGroup + "' id='geovalid' name='geovalid' placeholder='geovalid' data-apicheck='" + jsonApi + "'> \
		  </div>";
				
			 //$(thisFormId).append( thisMobileElement );
			 //addValidState(jsonRequired);
			 addValidState(false);
			 
			 if (navigator.geolocation && deviceClass != "desktop") {
				$(thisFormId).append( thisMobileElement );
				targetLat = gpsContent[0].latitude;
				targetLong = gpsContent[0].longitude;
				maxCoordinate = gpsContent[0].range;
				navigator.geolocation.getCurrentPosition(showPosition);
				if(deviceClass != "desktop"){ geoTimer = setInterval(showNewPosition, 1000) };
			} else {
				$(thisFormId).append( thisDeskstopElement );
				$(thisFormId).append( thisDeskstopValid );
			}
		
			switch(gameclass) {
				// gps by desktop gameclass	
				case "live":
					if (deviceClass == "desktop") { $("#geovalid").val("not-valid") };
					break;
				default:
					if (deviceClass == "desktop") { $("#geovalid").val("valid") };
			}// end gameclass switch

	}
	
	function addGeoCheckbox(){
		
		var checkboxContent =  "Getting GPS..."; //jsonFail;
		if(isWireframe == false){
			checkboxContent = jsonSuccess;
		}
		
		checkGpsJson();
		
		var thisMobileElement = 
				
		"<div class='collapse'> \
			<input type='text' class='form-control geoInput' id='latitude' name='latitude' placeholder='latitude'> \
			<input type='text' class='form-control geoInput' id='longitude' name='longitude' placeholder='longitude'> \
			<input type='text' class='form-control' id='geovalid' name='geovalid' placeholder='geovalid' data-apicheck='" + jsonApi + "'> \
			<input type='text' class='form-control' id='geodistance' name='geodistance' placeholder='geodistance'> \
			<input type='text' class='form-control' id='gps-id-location' name='gps-id-location' placeholder='gps-id-location'> \
		  </div>";
		  
		  var thisElement = // CHECKBOX NOT CHECKED
								"<div class='checkbox'><label><input type='checkbox'" + 
								" id='geocheckbox' disabled" +
								" name='geocheckbox'"  +
								" class='screenCheckbox'" +
								" data-index='" + jsonIndex +
			  					"' data-block='" + blockIndex + 
								"' data-success='" + jsonSuccess +
								"' data-fail='" + jsonFail +
			  					"' data-apicheck='" + jsonApi +
								"' required>" + "<span id='" + jsonId + "Span' class='geospan'>" + checkboxContent + "</span>" + 
								"</label></div>";
		  
		  var thisDeskstopElement = "<p class='text-center text-danger'>" + jsonUtility01 + "</p>";
		
		var thisDeskstopValid =
		"<div class='collapse " + blockGroup + "'> \
			<input type='text' class='form-control' id='geovalid' name='geovalid' placeholder='geovalid'> \
		  </div>";
			 
			 //if (deviceClass == "desktop") {
			 if (navigator.geolocation && deviceClass != "desktop") {
				$(thisFormId).append( thisMobileElement ); // hidden geo form elements
				targetLat = gpsContent[0].latitude;
				targetLong = gpsContent[0].longitude;
				maxCoordinate = gpsContent[0].range;
				if(isWireframe == true && deviceClass != "desktop" ){
					navigator.geolocation.getCurrentPosition(showPosition);
					geoTimer = setInterval(showNewPosition, 1000);
				}
				$(thisFormId).append( thisElement ); // checkbox element
			 	addValidState(true);
				$('#geocheckbox').val(false); // add unchecked value
				if(jsonRequired){  $('#geocheckbox').attr("required", "true") };
			} else {
				$(thisFormId).append( thisDeskstopElement ); // desktop device element
				$(thisFormId).append( thisDeskstopValid );
			}
		
			switch(gameclass) {
				// gps by desktop gameclass	
				case "live":
						if (deviceClass == "desktop") { $("#geovalid").val("not-valid") };
						break;
					default:
						if (deviceClass == "desktop") { $("#geovalid").val("valid") };
				}// end gameclass switch
			
	}

	function checkGpsJson(){
		
		//var gpsObjectTest = typeof gpsOptions ;
		//var gpsObjectTest = typeof gpsOptions.gps_content ;
	
		if(gpsOptions.gps_channel == "gpsdata"){
			
			var firstArrayObject = [
				{id:"in-range",
						index:0,
						latitude:optionList[0],
						longitude:optionList[1], 
						max_latitude:90.0000,
						max_longitude:0.0000, 
						range:optionList[2],
				}
			];
			
			var thisObject = {
				  gps_channel:formOptions.form_channel, // "entry", "exit"
				  gps_content:firstArrayObject
			  }
			
			gpsOptions = thisObject;
			
		} // end if gps_channel = "gpsdata"
		
		gpsContent = gpsOptions.gps_content; 
		
		//console.log(":::::::::: [ ==> first gps location  == " + gpsOptions[0].id )

	}

function addGeoCheckOpen(){
	
	var checkboxContent =  "Getting GPS..."; //jsonFail;
	if(isWireframe == false){
		checkboxContent = jsonSuccess;
	}
		
	checkGpsJson();
	// open to any device with GPS
		var thisMobileElement = 
				
		"<div class='collapse " + blockGroup + "'> \
			<input type='text' class='form-control geoInput' id='latitude' name='latitude' placeholder='latitude'> \
			<input type='text' class='form-control geoInput' id='longitude' name='longitude' placeholder='longitude'> \
			<input type='text' class='form-control' id='geovalid' name='geovalid' placeholder='geovalid' data-apicheck='" + jsonApi + "'> \
			<input type='text' class='form-control' id='geodistance' name='geodistance' placeholder='geodistance'> \
			<input type='text' class='form-control' id='gps-id-location' name='gps-id-location' placeholder='gps-id-location'> \
		  </div>";
		  
		  var thisElement = // CHECKBOX NOT CHECKED
								"<div class='checkbox " + blockGroup + "'><label><input type='checkbox'" + 
								" id='geocheckbox' disabled" +
								" name='geocheckbox'"  +
								" class='screenCheckbox'" +
								" data-index='" + jsonIndex +
			  					"' data-block='" + blockIndex + 
								"' data-success='" + jsonSuccess +
								"' data-fail='" + jsonFail +
			  					"' data-apicheck='" + jsonApi +
								"' required>" + "<span id='" + jsonId + "Span' class='geospan'>" + checkboxContent + "</span>" + 
								"</label></div>";
		  
		  var thisDeskstopElement = "<p class='text-center text-danger'>" + jsonUtility01 + "</p>";
		
		var thisDeskstopValid =
		"<div class='collapse " + blockGroup + "'> \
			<input type='text' class='form-control' id='geovalid' name='geovalid' placeholder='geovalid' data-apicheck='" + jsonApi + "'> \
		  </div>";
			 
			 if (navigator.geolocation) {
				$(thisFormId).append( thisMobileElement ); // hidden geo form elements
				targetLat = gpsContent[0].latitude;
				targetLong = gpsContent[0].longitude;
				maxCoordinate = gpsContent[0].range;
				if(isWireframe == true){
					navigator.geolocation.getCurrentPosition(showPosition);
					//geoTimer = setInterval(showNewPosition, 1000);
				}
				if(deviceClass != "desktop"){ geoTimer = setInterval(showNewPosition, 1000) };
				$(thisFormId).append( thisElement ); // checkbox element
			 	addValidState(true);
				$('#geocheckbox').val(false); // add unchecked value
				if(jsonRequired){  $('#geocheckbox').attr("required", "true") };
			} else {
				$(thisFormId).append( thisDeskstopElement ); // desktop device element
				$(thisFormId).append( thisDeskstopValid );
			}

	}

function addGeoRedirect(){
	
		checkGpsJson()	

		// REDIRECT TO MESSAGE BEFORE FORM, IF NOT GEO-ENABLED
		addGeoCheckbox();

		var thisExit = jsonFail;
		var thisDirectory = exitlinks[0].directoryid;
	
		if(thisExit == "none"){
			thisExit = thisHost + "/message/" + thisDirectory + "/gpsnotvalid";
		}

		var isValid = $("#geovalid").val("not-valid");
		if(isValid == "not-valid" && gameclass == "live" && isWireframe == true){
				window.location.href = thisExit; //with browser history
		   }

	} // addGeoRedirect()

	function showPosition(position) {
		
		var checkboxPresent = $('#geocheckbox').length; // 1 = present
		
		var thisLatitude =  position.coords.latitude; 
		var thisLongitude =  position.coords.longitude; 
		$('#latitude').val( thisLatitude.toFixed(7) );
		$('#longitude').val( thisLongitude.toFixed(7) );
		$('#geovalid').val('not-valid');
		$('#geolocation').val("not-in-range");
		
		if(isGpsActive == false && checkboxPresent == 1){
			isGpsActive = true;
			var thisSuccess = $('#geocheckbox').data("success");
			$(".geospan").html(thisSuccess);
			$('#geocheckbox').removeAttr('disabled');
		}
		
		var validGeoIndex = -1;
		var lowestRange = 9999;
		var lowestId = "";
		var lowestIndex = -1;
		
		for (i = 0; i < gpsContent.length; i++) { 
			
				var targetLat = gpsContent[i]["latitude"];
				var targetLong = gpsContent[i]["longitude"];
				var sourceRange = gpsContent[i]["range"];
				var sourceId = gpsContent[i]["id"];
				var sourceIndex = gpsContent[i]["index"];
			
				var dx = thisLatitude - targetLat;
				var dy = thisLongitude - targetLong;
				var dist = Math.sqrt(dx * dx + dy * dy);
				var distFixed = dist.toFixed(7);
			
				if(distFixed <= sourceRange && distFixed < lowestRange ){
					// (is in range && is the closest/lowest range)
					validGeoIndex = i;
					$('#geodistance').val(distFixed);
					$('#geovalid').val('valid');
					$('#gps-id-location').val(sourceId);
					//gpsInRange = true;
					//console.log("IS VALID LOCATION ::::::::" + sourceId);
				}
			
				if(distFixed < lowestRange ){
					lowestRange = distFixed;
					lowestId = "-" + i + "- " + sourceId;
					lowestIndex = i; 
				}
		}
		
		if(validGeoIndex < 0){
			//$('#geodistance').val(0);
			$('#geodistance').val(lowestRange);
			$('#gps-id-location').val("out-of-range" + lowestId);
		}
		
	} // end showPosition

	function showNewPosition() {
		if(gpsInRange == false){
			navigator.geolocation.getCurrentPosition(showPosition);
		}	//  end if
		
	} // end showNewPostion
	
	function addBdayText(){
	//make table id
	var optionLc0 = optionList[0].replace(/ /g, "-").toLowerCase();
	var optionLc2 = optionList[2].replace(/ /g, "-").toLowerCase();
	var tableId = "table-bday-text";
	//var thisTable = "#table-" + optionLc0;
	var thisTrId = "tr-bday-text";
	var thisTr = "#" + thisTrId;
	var tdClass = "tdLeftRight";
	var lastOption = optionList.length - 1;
	
	var thisDate = new Date();
	var thisYear = thisDate.getFullYear();
	var minYear = thisYear - 100;
	
	// arrays doubled for modulus of 2
	var nameList = ["month", "month", "day", "day", "year", "year", ];
	var lengthList = [2,2,2,2,4,4];
	var minList = [1,1,1,1,minYear,minYear];
	var maxList = [12,12,31,31,thisYear,thisYear];
	
	// insert table
	var tableLayout = "<table id='" + tableId + "' class='elementTable " + blockGroup + "'>" + 
						"<tr><td colspan='3' id='feedback-bday' data-success='" + jsonSuccess + 
						"' data-fail='" + jsonFail +
						"' data-utility-a='" + jsonUtility01 + 
						"' data-field='input" +
						"'>" + jsonSuccess + "</td></tr>" + 
						"<tr id='" + thisTrId + "' class='inputTr'></tr></table>";
	$(thisFormId).append( tableLayout );
	
	for (var i = 0; i < optionList.length; i++) { 
		if(i % 2){
			var iPrevious = i-1;
			//var optionName = optionList[iPrevious].replace(/ /g,"-").replace(/[^A-Za-z0-9\-]/g,'').replace(/-+/g,'-')	.toLowerCase()	;
			var optionName = nameList[i];
			var thisId = "#" + optionName;
			if(i != 1){ jsonIndex += 1 };
			var elementA = 
					"<div id='" + optionName + "Div" + 
					"' class='form-group has-feedback'>" +
					"<input type='number'" + //jsonType +
					" class='form-control screenBday' id='" + optionName + 
					"' name='" + optionName + 
					"' aria-describedby='' placeholder='" + optionList[iPrevious] +  
					"' data-index='" + jsonIndex + 
					"' data-block='" + blockIndex + 
					"' data-success='" + optionList[iPrevious] + 
					"' data-fail='" + optionList[i] + 
					"' data-date='" + optionName + 
					"' data-field='input' maxlength='" + lengthList[i] + 
					"' data-apicheck='" + jsonApi +
					"' min='" + minList[i] +
					"' max='" + maxList[i] +
					"'>" + 
					"<span id='" + optionName + "Span" + 
					"' class=' form-control-feedback' aria-hidden='true'></span>" + 
					"</div>";
					
			//SWITCH FOR TD PADDING
			switch(i) {
				case 1:
					tdClass = "tdLeft";
					break;
				case lastOption:
					tdClass = "tdRight";
					break;
				default:
					tdClass = "tdLeftRight"
			}
					
			var thisTd = "<td class='" + tdClass + "'>" + elementA + "</td>";
			$(thisTr).append( thisTd );
			
			if(jsonRequired){  $(thisId).attr("required", "true") };
			validList.push(!jsonRequired);
			
		} // modulus 2 if bracket
	} // end loop 
	
	var thisCoppa = "<tr class='collapse'><td colspan='3'><input type='text' id='coppacheck' name='coppacheck' data-apicheck='" + jsonApi + "'></td></tr>";
	$('#table-bday-text').append(thisCoppa);
	
	} // end function
	
	function addBdaySelect(){
	//make table id
	var optionLc0 = optionList[0].replace(/ /g, "-").toLowerCase();
	var optionLc2 = optionList[2].replace(/ /g, "-").toLowerCase();
	var tableId = "table-bday-select";
	//var thisTable = "#table-" + optionLc0;
	var thisTrId = "tr-bday-select";
	var thisTr = "#" + thisTrId;
	var tdClass = "tdLeftRight";
	var lastOption = optionList.length - 1;
	
	var thisDate = new Date();
	var thisYear = thisDate.getFullYear();
	var minYear = thisYear - 100;
	
	// arrays doubled for modulus of 2
	var nameList = ["month", "day", "year"];
	var lengthList = [2,2,2,2,4,4];
	var minList = [1,1,,minYear];
	var maxList = [12,31,thisYear];
	
	// insert table
	var tableLayout = "<table id='" + tableId + "' class='bday-select-table elementTable " + blockGroup + "'>" + 
						"<tr><td colspan='3' id='feedback-bday' data-success='" + jsonSuccess + 
						"' data-fail='" + jsonFail + 
						"' data-utility-a='" + jsonUtility01 +
						"'>" + jsonSuccess + "</td></tr>" + 
						"<tr id='" + thisTrId + "'></tr></table>";
	$(thisFormId).append( tableLayout );
	
	for (var i = 0; i < optionList.length; i++) { 
			var thisId = "#" + nameList[i];
			if(i != 0){ jsonIndex += 1 };
			var elementA = 
			"<select name='" + nameList[i] + 
			"' id='" + nameList[i] +
			"' class='form-control screenBdaySelect " + blockGroup + "'" + 
			" data-index='" + jsonIndex +
			"' data-block='" + blockIndex + 
			"' data-date='" + nameList[i] +
			"' data-apicheck='" + jsonApi +
			"' data-field='select' min='" + minList[i] +
			"' max='" + maxList[i] +
			"' ><option value='" + 0 + "'>" + optionList[i]//jsonSuccess 
			+ "</option></select>";
					
			//SWITCH FOR TD PADDING
			switch(i) {
				case 0:
					tdClass = "tdLeft";
					break;
				case lastOption:
					tdClass = "tdRight";
					break;
				default:
					tdClass = "tdLeftRight"
			}
					
			var thisTd = "<td class='" + tdClass + "'>" + elementA + "</td>";
			$(thisTr).append( thisTd );
			
			if(jsonRequired){  $(thisId).attr("required", "true") };
			validList.push(!jsonRequired);
			
		//} // modulus 2 if bracket
	} // end loop 
	
	var thisCoppa = "<tr class='collapse'><td colspan='3'><input type='text' id='coppacheck' name='coppacheck' data-apicheck='" + jsonApi + "'></td></tr>";
	$('#table-bday-select').append(thisCoppa);
	
	for (var j = 1; j < 13; j++) { 
			var thisLi = "<option value='" + j + "'>" + j + "</option>";
			$('#month').append(thisLi);
		}
		
	for (var j = 1; j < 32; j++) { 
			var thisLi = "<option value='" + j + "'>" + j + "</option>";
			$('#day').append(thisLi);
		}
		
	for (var j = 0; j < 101; j++) { 
		var yearCount = thisYear - j;
		var thisLi = "<option value='" + yearCount + "'>" + yearCount + "</option>";
		$('#year').append(thisLi);
	}
	
	} // end function
	
	function addBdayFilter(){
		
		formsetup[0].agemin = parseInt(jsonSuccess);
		addValidState(false); //addValidState(jsonRequired);
		
		var coppaLength = jsonFail.length;
		
		if(jsonRequired == true && coppaLength > 6){
			// if coppa required (jsonRequired) & length longer than http://
			formsetup[0].coppapath = jsonFail;
		} else {
			formsetup[0].coppapath = "none";
		}
		
	}
	
	function addTextMax(){
//<input name="[VAR]" class="form-control" id="[VAR]" placeholder="[VAR]" data-success="[VAR]" data-fail="[VAR]" required="[VAR]" type="[VAR]">
		
		//jsonId += ("-" + jsonIndex);
		
		var thisElement = 
				
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback " + blockGroup + "'>" +
		"<input type='text'" + //jsonType +
		" class='form-control screenInputMax' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonSuccess + 
		"' data-index='" + jsonIndex +
		"' data-block='" + blockIndex + 
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail +
		"' data-ulc='" + jsonUlc +
		"' data-apicheck='" + jsonApi +
		"' maxlength='" + optionList[0] + 
		"'>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
		
			// note playerId target element	
			if(jsonPlayerId == true){ playeIdTarget = "#" + jsonId };
		
	}

	function addGuessEntry(){
		
		var thisPattern = "[0-9]{" + optionList[0] + "}"
		
		var thisElement = 
				
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback " + blockGroup + "'>" +
		"<input type='text'" + //jsonType +
		" class='form-control screenNumberMax' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonSuccess + 
		"' data-index='" + jsonIndex +
		"' data-block='" + blockIndex + 
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail + 
		"' data-apicheck='" + jsonApi +
		"' pattern='" + thisPattern + 
		"' maxlength='" + optionList[0] + 
		"'>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
		
			// note playerId target element	
			if(jsonPlayerId == true){ playeIdTarget = "#" + jsonId };
		
	}
	
		function addTextMisc(){
//<input name="[VAR]" class="form-control" id="[VAR]" placeholder="[VAR]" data-success="[VAR]" data-fail="[VAR]" required="[VAR]" type="[VAR]">
		
		jsonId += ("-" + optionList[0]) +  ("-" + jsonIndex);
		var miscClass = "screen-" + optionList[0];
		
		var thisElement = 
				
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback " + blockGroup + "'>" +
		"<input type='" + optionList[0] +
		"' class='form-control screenInput " + miscClass + "' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonSuccess + 
		"' data-index='" + jsonIndex +
		"' data-block='" + blockIndex + 
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail +
		"' data-ulc='" + jsonUlc + 
		"' data-apicheck='" + jsonApi +
		"'>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
			 
	}
	
			function addTextLabel(){
//<input name="[VAR]" class="form-control" id="[VAR]" placeholder="[VAR]" data-success="[VAR]" data-fail="[VAR]" required="[VAR]" type="[VAR]">
				
		filterPattern();
		
		//jsonId += ("-" + optionList[0]) +  ("-" + jsonIndex);
		var miscClass = "screen-" + optionList[0];
		var thisPattern = optionList[1];
		var thisLabel = jsonId + "Label";
				
		if(jsonSuccess.length < 1){jsonSuccess ="&nbsp;"};
		if(jsonFail.length < 1){jsonFail ="&nbsp;"};
		
		var thisElement = 
		
		//"<label id='" + thisLabel + "' class='inputLabel'>" + jsonSuccess + "</label>" + 	
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback form-group-label " + blockGroup + "'>" +
		"<span id='" + thisLabel + "' class='inputLabel'>" + jsonSuccess + "</span>" + 
		"<input type='" + optionList[0] +
		"' class='form-control screenLabel " + miscClass + "' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonUtility01 + 
		"' data-index='" + jsonIndex +
		"' data-block='" + blockIndex + 
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail +
		"' data-ulc='" + jsonUlc + 
		"' data-apicheck='" + jsonApi +
		"' data-label='#" + thisLabel + 
		"' pattern='" + thisPattern + 
		"' title='" + jsonUtility01 + 
		"'>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
				
			if(jsonPlayerId == true){
				// note playerId target element
				playeIdTarget = "#" + jsonId; 
			} // end PlayerId
				
			var isUri = jsonType.indexOf("-uri"); // apply url to form field
			 if(isUri > -1){
				addUriValue();
			 } // end if
			 
	} // addTextLabel()

function filterPattern(){
	// change input type, certain browswers do not support date and time input features
	if(deviceClass == "desktop"){
			switch(browserClass) {
			case "firefox":
				if(optionList[0] == "date"){optionList[0] ="text"};
				if(optionList[0] == "time"){optionList[0] ="text"};
				break;
			case "safari":
				if(optionList[0] == "date"){optionList[0] ="text"};
				if(optionList[0] == "time"){optionList[0] ="text"};
				break;
			default:
				browserClass = browserClass;
		} // end switch
	} // end if deviceClass
	//console.log(browserClass + "filterPattern option0= " + optionList[0])
} // end filterPattern

			function addInputRange(){
//<input name="[VAR]" class="form-control" id="[VAR]" placeholder="[VAR]" data-success="[VAR]" data-fail="[VAR]" required="[VAR]" type="[VAR]">
		
		//jsonId += ("-" + optionList[0]) +  ("-" + jsonIndex);
		//var miscClass = "screen-" + optionList[0];
		var thisPattern = optionList[1];
		var thisLabel = jsonId + "Label";
				
		if(jsonSuccess.length < 1){jsonSuccess ="&nbsp;"};
		if(jsonFail.length < 1){jsonFail ="&nbsp;"};
		
		var thisElement = 
		
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback form-group-range " + blockGroup + "'>" +
		"<span id='" + thisLabel + "' class='inputLabel'>" + jsonSuccess + "</span>" + 
		"<input type='range" +  //optionList[0]
		"' class='form-control screenRange "  + "' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonUtility01 + 
		"' data-index='" + jsonIndex +
		"' data-block='" + blockIndex + 
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail + 
		"' data-label='#" + thisLabel + 
		"' data-break='" + jsonUtility01  +
		"' data-apicheck='" + jsonApi +
		"' data-min='" +  optionList[2] + 
		"' min='" + optionList[0] + 
		"' max='" + optionList[1] +
		"' value='" + optionList[0] +
		"' step='" + 1 + 
		"'>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
			 
	}
	
	function addTextPattern(){
		
		var thisPattern = optionList[1];
		var thisLabel = jsonId + "Label";
		
		var thisElement = 
		
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback " + blockGroup + "'>" +
		"<input type='" + optionList[0] +
		"' class='form-control screenInput' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonSuccess + 
		"' data-index='" + jsonIndex +
		"' data-block='" + blockIndex + 
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail +
		"' data-ulc='" + jsonUlc + 
		"' data-apicheck='" + jsonApi +
		"' pattern='" + thisPattern + 
		"' title='" + jsonSuccess + 
		"'>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
		
			if(jsonPlayerId == true){
				// note playerId target element
				playeIdTarget = "#" + jsonId; 
			} // end PlayerId
		
			 var isUri = jsonType.indexOf("-uri"); // apply url to form field
			 if(isUri > -1){
				addUriValue();
			 } // end if
		
	} // addTextPattern()

	function addHiddenText(){
		
		var thisPattern = optionList[1];
		var thisLabel = jsonId + "Label";
		
		if(jsonPrimary == true){ jsonId = primaryEmailTag };
		
		var thisElement = 
		
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback collapse hiddenBlock " + blockGroup + "'>" +
		"<input type='" + optionList[0] +
		"' class='form-control screenInput screenHidden' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonSuccess + 
		"' data-index='" + jsonIndex +
		"' data-block='" + blockIndex + 
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail +
		"' data-ulc='" + jsonUlc + 
		"' data-apicheck='" + jsonApi +
		"' pattern='" + thisPattern + 
		"' title='" + jsonSuccess + 
		"'>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
		
			if(jsonPlayerId == true){
				// note playerId target element
				playeIdTarget = "#" + jsonId; 
			} // end PlayerId
		
			 var isUri = jsonType.indexOf("-uri"); // apply url to form field
			 if(isUri > -1){
				addUriValue();
			 } // end if
		
		if(gameclass != "live"){
			var thisValue =  $(thisFormId).val();
			console.log( gameclass + " " + jsonIndex + " hidden field " +  jsonId + "=" + thisValue + " (console hides on live game)" );
		}
		
		if(liveForm == false){
			var hideNote = "<p><small>[ hidden field = " + jsonId + " ]</small></p>"
			$(thisFormId).append( hideNote );
		}
		
	} // addHiddenText()

function addUriValue(){
	// get info from url and apply to form element
		var thisUrl = window.location.href;
		var targetId = "#" + jsonId;
		var targetIdSpan = "#" + jsonId + "Span";
	
		var isDisabled = jsonType.indexOf("-disabled"); // " disabled if > -1"
		var isLabeled = jsonType.indexOf("-label"); // " input w/ label  if > -1
		var isPin = jsonType.indexOf("pin-"); // " input w/ label  if > -1
	
		var thisMin = 0; //minimum value.length
		var thisPattern = optionList[1]; // exmpl = [A-Za-z0-9]{7}
		var isLimited = thisPattern.indexOf("{");
		// pattern with number limit, exmpl = [A-Za-z0-9]{7}

		var labelTarget;
		var labelSuccess = $(targetId ).data('success');
	
		if(isLabeled > -1){
			labelTarget = $(targetId ).data('label');
		}
	
		if(isLimited  > -1  && isPin > -1){
			// pull number between '{}' brackets, if pin jsonType	
			var newMin = Number( thisPattern.match(/{([^}]+)}/)[1] );
			if(newMin > 0){ thisMin = newMin - 1} ;
		}
	
		var filter00 = thisUrl.split('?'); // get tail of url
		if(filter00[1]){ // if data exists for split
			var filter01 =  filter00[1].split('&'); // split tail info
			var valueList = filter01; // array of form IDs & values
		
			for (i = 0; i < valueList.length; i++) { 
				var filter03 = valueList[i].split('=');
				var filterId = filter03[0]; // id from this split
				var filterValue = decodeURI(filter03[1]); // value from this split
				if(filterId == jsonId && filterValue.length > thisMin){
					$(targetId).val(filterValue); // add value to field
					validList[jsonIndex] = true; // set valid
					$(targetId).prop('aria-describedby', 'inputSuccess2Status'); // style for success
					$(targetIdSpan).addClass('glyphicon glyphicon-ok'); // show okay entry icons
				}
				if(filterId == jsonId && filterValue.length > thisMin && isLabeled > -1){
					$(labelTarget).html(labelSuccess); // update label for success
				}
			}
		} // end fitler00[1] 
			
		if(isDisabled > 0){
			var targetBlock = ".blockgroup-" + jsonIndex; //$(targetId).prop( "disabled", true );
			$(targetId).addClass("fieldDisable");
			$(targetBlock).addClass("notAllowed");
		}
	
} // addUriValue()
	
	
	function addEmail(){

		if(jsonPrimary == true){
			jsonId = primaryEmailTag;
		}
		
		var thisElement = 
				
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback " + blockGroup + "'>" +
		"<input type='" + jsonType +
		"' class='form-control screenInput' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonSuccess + 
		"' data-index='" + jsonIndex +
		"' data-block='" + blockIndex + 
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail + 
		"' data-ulc='" + jsonUlc + 
		"' data-apicheck='" + jsonApi +
		"' pattern='[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$'" +  // remove this line for '@' only validation
		"'>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";

			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
		
			// note playerId target element	
			if(jsonPlayerId == true){ playeIdTarget = "#" + jsonId };
		
	}

function addEmailSubmitted(){

		if(jsonPrimary == true){
			jsonId = primaryEmailTag;
		}	
	
		var miscClass = "screen-" + optionList[0];
		var thisAbled = optionList[0];
		var thisLabel = jsonId + "Label";
		var targetId = "#" + jsonId;
		var thisEmail = exitlinks[0].email_primary;
	
		switch(jsonUlc) { // filter ulc of email display
			case "uppercase":
				thisEmail = thisEmail.toUpperCase();
				break;
			case "lowercase":
				thisEmail = thisEmail.toLowerCase();
				break;
			default:
				thisEmail = thisEmail; // user, collapse, mixedcase or Nan
		}
	
		if(jsonSuccess.length < 1){jsonSuccess ="&nbsp;"};
		if(jsonFail.length < 1){jsonFail ="&nbsp;"};
		
		var thisElement = 
		
		//"<label id='" + thisLabel + "' class='inputLabel'>" + jsonSuccess + "</label>" + 	
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback form-group-label submittedEmailBlock " + blockGroup + "'>" +
		"<span id='" + thisLabel + "' class='inputLabel'>" + jsonSuccess + "</span>" + 
		"<input type='email' " +
		" class='form-control screenLabel " + miscClass + "' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonUtility01 + 
		"' data-index='" + jsonIndex +
		"' data-block='" + blockIndex + 
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail +
		"' data-ulc='" + jsonUlc + 
		"' data-apicheck='" + jsonApi +
		"' data-label='#" + thisLabel + 
		"' pattern='[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$' "  + 
		" title='" + jsonUtility01 + 
		"'>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";
				
			 $(thisFormId).append( thisElement );
			// addValidState(jsonRequired);
	
			if(jsonType == "email-submitted-locked"){
				addValidState(jsonRequired); // submit 'true', validated, for disabled inputs
				$(targetId).val(thisEmail); 
			} else {
				// for "email-submitted-unlocked"		
						switch(thisEmail) {
							case "none":
								addValidState(true); // make required if no email logged
								break;
							default: // sample@example.com
								addValidState(jsonRequired);
								$(targetId).val(thisEmail); 
								validList[jsonIndex] = true; // mark as validated for loaded email
						} // end switch
				
			} // end if for "email-submitted-locked" || "email-submitted-unlocked"
	
			if(thisAbled == "disabled"){
				$(targetId).attr("disabled", "disabled");
				$(targetId).removeClass("screenLabel");
			}
	
	if(jsonIndex == 0){
		$('.submittedEmailBlock').addClass('topSpacerHalfem');
	}
	
}

function addEmailSubmittedInput(){

		if(jsonPrimary == true){
			jsonId = primaryEmailTag;
		}	
	
		//var miscClass = "screen-" + optionList[0];
		var thisAbled = optionList[0];
		//var thisLabel = jsonId + "Label";
		var targetId = "#" + jsonId;
		var thisEmail = exitlinks[0].email_primary;
	
		switch(jsonUlc) { // filter ulc of email display
			case "uppercase":
				thisEmail = thisEmail.toUpperCase();
				break;
			case "lowercase":
				thisEmail = thisEmail.toLowerCase();
				break;
			default:
				thisEmail = thisEmail; // user, collapse, mixedcase or Nan
		}
		
		var thisElement = 
			
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback " + blockGroup + "'>" +
		"<input type='" + jsonType +
		"' class='form-control screenInput' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonSuccess + 
		"' data-index='" + jsonIndex +
		"' data-block='" + blockIndex + 
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail +
		"' data-ulc='" + jsonUlc + 
		"' data-apicheck='" + jsonApi +
		"' pattern='[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$'" +  // remove this line for '@' only validation
		"'>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";
				
			 $(thisFormId).append( thisElement );
			// addValidState(jsonRequired);
	
			if(jsonType == "email-submitted-locked-input"){
				addValidState(jsonRequired); // submit 'true', validated, for disabled inputs
				$(targetId).val(thisEmail); 
			} else {
				// for "email-submitted-unlocked"		
						switch(thisEmail) {
							case "none":
								addValidState(true); // make required if no email logged
								break;
							default: // sample@example.com
								addValidState(jsonRequired);
								$(targetId).val(thisEmail); 
								validList[jsonIndex] = true; // mark as validated for loaded email
						} // end switch
				
			} // end if for "email-submitted-locked" || "email-submitted-unlocked"
	
			if(thisAbled == "disabled"){
				$(targetId).attr("disabled", "disabled");
				$(targetId).removeClass("screenLabel");
			}
	
	if(jsonIndex == 0){
		$('.submittedEmailBlock').addClass('topSpacerHalfem');
	}
	
}

	function addEmailLc(){

		if(jsonPrimary == true){
			jsonId = primaryEmailTag;
		}
		
		jsonUlc = "lowercase";
		
		var thisElement = 
				
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback " + blockGroup + "'>" +
		"<input type='" + jsonType +
		"' class='form-control screenEmailLc' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonSuccess + 
		"' data-index='" + jsonIndex +
		"' data-block='" + blockIndex + 
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail +
		"' data-ulc='" + jsonUlc + 
		"' data-apicheck='" + jsonApi +
		"' pattern='[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$'" +  // remove this line for '@' only validation
		"'>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";

			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
		
		// note playerId target element	
		if(jsonPlayerId == true){ playeIdTarget = "#" + jsonId };
		
	}
	
	function addEmailPair(){
		
		var idList = ['emailpair01', 'emailpair01', 'emailpair02', 'emailpair02'];
		var formNameList = ['emailpair01', 'emailpair01', 'emailpair02', 'emailpair02'];
		
		if(jsonPrimary == true){
			formNameList[0] = primaryEmailTag;
			formNameList[1] = primaryEmailTag;
		}
		
		for (var i = 0; i < optionList.length; i++) { 
			if(i % 2){
				var iPrevious = i-1;
				jsonId = idList[i];
				if(i != 1){ jsonIndex += 1 };
				var elementA = 
					"<div id='" + idList[i] + 
					"Div' class='form-group has-feedback " + blockGroup + "'>" + 
					"<input class='form-control screenEmailPair' id='" + idList[i] + 
					"' name='" + formNameList[i] + 
					"' aria-describedby='" + 
					"' placeholder='" + optionList[iPrevious] + 
					"' data-index='" + jsonIndex +
					"' data-block='" + blockIndex + 
					"' data-success='" + optionList[iPrevious] + 
					"' data-fail='"+ optionList[i] +
					"' data-ulc='" + jsonUlc + 
					"' data-apicheck='" + jsonApi +
					"' pattern='[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,4}$'" +  // remove this line for '@' only validation
					"' type='email'>" + 
					"<span id='" + idList[i] + 
					"Span' class=' form-control-feedback' aria-hidden='true'></span></div>";
						
				$(thisFormId).append( elementA );
				 addValidState(jsonRequired);
			} // modulus 2 if bracket
		} // end loop 
		
		// note playerId target element	
		if(jsonPlayerId == true){ playeIdTarget = "#" + idList[1] };
		
	} // end addEmailPair()
	
	function addTelephone(){

		if(jsonPrimary == true){
			jsonId = primaryPhoneTag;
		}
		
		var thisElement = 
				"<div id='" + jsonId + "Div" + 
				"' class='form-group has-feedback " + blockGroup + "'>" +
				"<input type='tel'" + 
				" class='form-control screenPhone' id='" + jsonId + 
				"' name='" + jsonId + 
				"' aria-describedby='' placeholder='" + jsonSuccess + 
				"' data-index='" + jsonIndex + 
				"' data-block='" + blockIndex + 
				"' data-success='" + jsonSuccess + 
				"' data-fail='" + jsonFail + 
				"' data-apicheck='" + jsonApi +
				"' maxlength='12'" +
				">" + 
				"<span id='" + jsonId + "Span" + 
				"' class=' form-control-feedback' aria-hidden='true'></span>" + 
				"</div>";
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
		
			// note playerId target element	
			if(jsonPlayerId == true){ playeIdTarget = "#" + jsonId };
		
	}
	
	function addIntTelephone(){

		if(jsonPrimary == true){
			jsonId = primaryPhoneTag;
		}
		
		var thisElement = 
				"<div id='" + jsonId + "Div" + 
				"' class='form-group has-feedback " + blockGroup + "'>" +
				"<input type='tel'" +
				" class='form-control screenInput' id='" + jsonId + 
				"' name='" + jsonId + 
				"' aria-describedby='' placeholder='" + jsonSuccess + 
				"' data-index='" + jsonIndex +
				"' data-block='" + blockIndex + 
				"' data-success='" + jsonSuccess + 
				"' data-fail='" + jsonFail + 
				"' data-ulc='" + jsonUlc + 
				"' data-apicheck='" + jsonApi +
				"' maxlength='21'>" + 
				"<span id='" + jsonId + "Span" + 
				"' class=' form-control-feedback' aria-hidden='true'></span>" + 
				"</div>";
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
		
			// note playerId target element	
			if(jsonPlayerId == true){ playeIdTarget = "#" + jsonId };
		
	}
	
	function addTextRow(){
	//make table id
	var optionLc0 = optionList[0].replace(/ /g, "-").toLowerCase();
	var optionLc2 = optionList[2].replace(/ /g, "-").toLowerCase();
	var tableId = "table-" + jsonIndex;
	var thisTrId = "tr-" + jsonIndex
	var thisTr = "#" + thisTrId;
	var tdClass = "tdLeftRight";
	var lastOption = optionList.length - 1;
	
	// insert table
	var tableLayout = "<table id='" + tableId + "' class='elementTable " + blockGroup + "'><tr id='" + thisTrId + "' class='inputTr'></tr></table>";
	$(thisFormId).append( tableLayout );
	
	for (var i = 0; i < optionList.length; i++) { 
		if(i % 2){
			var iPrevious = i-1;
			var optionName = filterNames(optionList[iPrevious] + "-" + jsonIndex);
			var thisId = "#" + optionName;
			if(i != 1){ jsonIndex += 1 };
			var elementA = 
					"<div id='" + optionName + "Div" + 
					"' class='form-group has-feedback'>" +
					"<input type='text'" + //jsonType +
					" class='form-control screenInput' id='" + optionName + 
					"' name='" + optionName + 
					"' aria-describedby='' placeholder='" + optionList[iPrevious] +  
					"' data-index='" + jsonIndex +
					"' data-block='" + blockIndex + 
					"' data-success='" + optionList[iPrevious] + 
					"' data-fail='" + optionList[i] + 
					"' data-ulc='" + jsonUlc + 
					"' data-apicheck='" + jsonApi +
					"'>" + 
					"<span id='" + optionName + "Span" + 
					"' class=' form-control-feedback' aria-hidden='true'></span>" + 
					"</div>";
					
			//SWITCH FOR TD PADDING
			switch(i) {
				case 1:
					tdClass = "tdLeft";
					break;
				case lastOption:
					tdClass = "tdRight";
					break;
				default:
					tdClass = "tdLeftRight"
			}
					
			var thisTd = "<td class='" + tdClass + "'>" + elementA + "</td>";
			$(thisTr).append( thisTd );
			
			if(jsonRequired){  $(thisId).attr("required", "true") };
			validList.push(!jsonRequired);
			
		} // modulus 2 if bracket
	} // end loop 
	
	} // end function
	
	function addTextSelect(){
		
	var tableId = "#table-" + jsonIndex;
	var tdIdOne = "#td-left-" + jsonIndex;
	var tdIdTwo = "#td-right-" + jsonIndex;
		
	var thisTable = 
		"<table id='table-" + jsonIndex + "' class='elementTable " + blockGroup + "'> \
			<tr class='inputTr'> \
			<td id='td-left-" + jsonIndex + "' class='tdLeft'></td> \
			<td id='td-right-" + jsonIndex + "' class='tdRight tdSelect'></td> \
			</tr> \
		</table>";
		
	$(thisFormId).append( thisTable );
	
	// INPUT BEGIN	
	
		var successName = filterNames(jsonSuccess + "-" + jsonIndex);
		var thisId = "#" + successName;
		var thisInput = 
				"<div id='" + successName + "Div" + 
				"' class='form-group has-feedback " + blockGroup + "'>" +
				"<input type='text'" + //jsonType +
				" class='form-control screenInput' id='" + successName + 
				"' name='" + successName + 
				"' aria-describedby='' placeholder='" + jsonSuccess +  
				"' data-index='" + jsonIndex +
				"' data-block='" + blockIndex + 
				"' data-success='" + jsonSuccess + 
				"' data-fail='" + jsonFail +
				"' data-ulc='" + jsonUlc + 
				"' data-apicheck='" + jsonApi +
				"'>" + 
				"<span id='" + successName + "Span" + 
				"' class=' form-control-feedback' aria-hidden='true'></span>" + 
				"</div>";
				
		$(tdIdOne).append( thisInput );
		addValidState(jsonRequired);
		
		if(jsonRequired == true){
			$(thisId).attr("required", "true")
		}
		
	// SELECT BEGIN	
	jsonIndex += 1		 
	var filter02 = filterNames(optionList[0]);
	var selectName = filterNames(filter02 + "-" + jsonId + "-" + jsonIndex); 
	var selectId = "#" + selectName;
	var thisSelect = 
			"<select name='" + selectName + 
			"' id='" + selectName +
			"' class='form-control screenSelect " + blockGroup + "'" + 
			" data-index='" + jsonIndex +
			"' data-block='" + blockIndex + 
			"' data-apicheck='" + jsonApi +
			"' ><option value='no_selection'>" + optionList[0]//jsonSuccess 
			+ "</option></select>";
		
			 $(tdIdTwo).append( thisSelect );
			 if(jsonRequired){  $(selectId).attr("required", "true") };
			 addValidState(jsonRequired);
			 
			// SELECT OPTION CONTENT BEGIN
			for (var i = 0; i < optionList.length; i++) { 
					if(i > 0){
						var valueSource = optionList[i];
						//var valueFilter01 = filterNames(valueSource);
						var valueFilter01 = valueSource.replace(/['"]+/g, '')
						var thisText = optionList[i];
						var thisOption = "<option value='" + valueFilter01 + "'>" + thisText + "</option>";
						$(selectId).append( thisOption );
					} // end if
				} // end loop
				
		// resize 2nd TD CONTAINING DROPDOWN
		// ALSO HAPPENS IN WINDOW RESIZE, SEE FUNCTION sizeTdSelect();
		var thisWidth = $(tableId).width();
		var tdWidth = Math.round( thisWidth * .5 );
		$(tdIdTwo).css('width', tdWidth);
		
	}  // END addTextSelect()
	
	function addZip(){

		var thisElement = 
			"<div id='" + jsonId + "Div" + 
			"' class='form-group has-feedback " + blockGroup + "'>" +
			"<input type='" + jsonType +
			"' class='form-control screenZip' id='" + jsonId + 
			"' name='" + jsonId + 
			"' aria-describedby='' placeholder='" + jsonSuccess + 
			"' data-index='" + jsonIndex +
			"' data-block='" + blockIndex + 
			"' data-success='" + jsonSuccess + 
			"' data-fail='" + jsonFail + 
			"' data-region='" + optionList[0] + 
			"' maxlength='" + optionList[1] + 
			"' data-ulc='" + jsonUlc +
			"' data-apicheck='" + jsonApi +
			"' pattern=''>" + 
			"<span id='" + jsonId + "Span" + 
			"' class=' form-control-feedback' aria-hidden='true'></span>" + 
			"</div>";
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
			 setZipType();
	}
	
	function setZipType(){
		var targetId = "#" + jsonId;
		var thisRegion = $(targetId).data("region");
		
		switch(thisRegion) {
			case "unitedstates":
				$( targetId ).attr("type", "tel");
				$( targetId ).attr("pattern", "([0-9]{5})");
				break;
			case "canada":
				$( targetId ).attr("type", "text");
				//$( targetId ).attr("pattern", "([A-Za-z][0-9][A-Za-z] [0-9][A-Za-z][0-9])");
				$( targetId ).attr("pattern", "(\d{5}([\-]\d{4})?)|[A-Za-z][0-9][A-Za-z][ -]?[0-9][A-Za-z][0-9]");
				break;
			default:
				$( targetId ).attr("type", "text");
				//$( targetId ).attr("pattern", "(\d{5}([\-]\d{4})?)|[A-Za-z][0-9][A-Za-z][ -]?[0-9][A-Za-z][0-9]");
				$( targetId ).attr("pattern", "[0-9]{5}|[A-Za-z][0-9][A-Za-z][ -]?[0-9][A-Za-z][0-9]");
		} //end switch
		
	} //end setZipType
	
	function addButton(){
		
		//jsonUtility01 = button-entry, button-exit, button-goback
		
		var thisAlign = "text-" + jsonAlign;
		var thisClass = formOptions.form_class;
		var thisType = "button";
		jsonId = "button-submit"; // overwrite editor id naming tweaks
		
		if(thisClass == "exit"){thisType = "submit"};
				
		var thisElement = 
			"<p class='" + thisAlign + " form-submit-btn " + blockGroup  + "'><button id='" + jsonId + 
			"' data-success='" + jsonSuccess + 
			"' data-fail='" + jsonFail + 
			"' class='btn btn-default " + jsonUtility01 + 
			" disabled' disabled type='" + thisType + "'>" + jsonFail +
			 "</button></p>"
			 $(thisFormId).append( thisElement );
			 
			 if(jsonRequired == false){
				 $(jsonId).removeAttr("disabled");
				 $(jsonId).removeClass("disabled");
				 $(jsonId).append(bntValidIcon); // btn span for check icon
				 $(jsonId).html(jsonSuccess);
			 }
			 
			 if(jsonUtility01 == "button-goback"){
				 $(jsonId).removeAttr("disabled");
				 $(jsonId).removeClass("disabled");
				 $(jsonId).append("<span class='glyphicon glyphicon-chevron-left'></span>");
				 $(jsonId).html(jsonSuccess);
			 }
			 
			 validList.push(true);
			 
	}
	
	function addButtonGoBack(){
		
		//jsonUtility01 = button-goback 
		
		var thisAlign = jsonAlign; //optionList[0];
		
		var tableLayout = "<table id='entry-btn-table' class='" + blockGroup + "'><tr id='entry-btn-tr'></tr></table>";
		$(thisFormId).append( tableLayout );
		
		var thisElement = "<td class='tdLeft'><span id='button-goback' class='btn btn-default button-goback'>" + 
							"<span class='glyphicon glyphicon-chevron-left'></span>" + jsonUtility01 + "</span></td>" + 
							"<td class='tdRight'>" + 
							"<button id='button-submit' class='btn btn-default button-enter disabled' disabled" + 
							" data-success='" + jsonSuccess +
							"' data-fail='" + jsonFail +
							"'  type='button'>" + jsonFail + "</button></td>";
		
		$('#entry-btn-tr').append( thisElement );
		
		// align switch for table
		switch(thisAlign) {
			case "left":
				$('#entry-btn-table').addClass('formTableLeft');
				break;
			case "right":
				$('#entry-btn-table').addClass('formTableRight');
				break;
			case "center":
				$('#entry-btn-table').addClass('formTableCenter');
				break;
			default:
				$('#entry-btn-table').addClass('formTableCenter');
		} // end align switch
		
		validList.push(true);
		
			 
	} // addButtonGoBack
	
	function addButtonUrl(){
		
		//jsonUtility01 = button-entry, button-exit, button-goback
		
		var thisAlign = "text-" + jsonAlign; //optionList[0];
		var thisClass = formOptions.form_class;
		var thisType = "button";
		jsonId = "button-url"; // overwrite editor id naming tweaks
		
		if(thisClass == "exit"){thisType = "submit"};
				
		var thisElement = 
			"<p class='" + thisAlign + " form-submit-btn " + blockGroup + "'><button id='" + jsonId + 
			"' data-url='" + jsonUtility01 + 
			"' data-success='" + jsonSuccess + 
			"' data-fail='" + jsonFail + 
			"' class='btn btn-default button-url"  + 
			" disabled' disabled type='" + thisType + "'>" + jsonFail +
			 "</button></p>"
			 $(thisFormId).append( thisElement );
			 
			 if(jsonRequired == false){
				 $(jsonId).removeAttr("disabled");
				 $(jsonId).removeClass("disabled");
				 $(jsonId).append(bntValidIcon); // btn span for checkmark icon
				 $(jsonId).html(jsonSuccess);
			 }
			 
			 validList.push(true);
	} // addButtonUrl()

	function addTextBtnUrl(){
		
		var thisAlign = "text-" + jsonAlign; //optionList[0];
				
		var thisElement = 
			"<p class='" + thisAlign + " " + blockGroup + "'>" + 
			"<a class='btn btn-default' href='" + jsonFail+ 
			"' target='" + jsonUtility01 + 
			"'>" + jsonSuccess + "</a></p>";
			 $(thisFormId).append( thisElement );
			 
			 addValidState(false);
	} // addTextBtnUrl()

	function addTextUrl(){
		
		var thisAlign = "text-" + jsonAlign; //optionList[0];
				
		var thisElement = 
			"<p class='" + thisAlign + " " + blockGroup + "'>" + 
			"<a class='' href='" + jsonFail+ 
			"' target='" + jsonUtility01 + 
			"'>" + jsonSuccess + "</a></p>";
			 $(thisFormId).append( thisElement );
			 
			 addValidState(false);
	} // addTextUrl()

	function addButtonOrExit(){
		
		var thisAlign = jsonAlign; //optionList[0];
		
		var tableLayout = "<table id='entry-btn-table' class='" + blockGroup + "'><tr id='entry-btn-tr'></tr></table>";
		$(thisFormId).append( tableLayout );
		
		var thisElement = "<td class='tdLeft'><span id='button-exitlink' class='btn btn-default button-exitlink'" +
							"data-url='" + optionList[0] +"'>" + 
							"<span class='glyphicon glyphicon-chevron-left'></span>" + jsonUtility01 + "</span></td>" + 
							"<td class='tdRight'>" + 
							"<button id='button-submit' class='btn btn-default button-enter disabled' disabled" + 
							" data-success='" + jsonSuccess +
							"' data-fail='" + jsonFail +
							"'  type='button'>" + jsonFail + "</button></td>";
		
		$('#entry-btn-tr').append( thisElement );
		
		// align switch for table
		switch(thisAlign) {
			case "left":
				$('#entry-btn-table').addClass('formTableLeft');
				break;
			case "right":
				$('#entry-btn-table').addClass('formTableRight');
				break;
			case "center":
				$('#entry-btn-table').addClass('formTableCenter');
				break;
			default:
				$('#entry-btn-table').addClass('formTableCenter');
		} // end align switch
		
		validList.push(true);
		
			 
	} // addButtonOrExit()
	
	function addButtonEnabled(){
		
		//jsonUtility01 = button-entry, button-exit, button-goback
		
		var thisAlign = "text-" + jsonAlign; //optionList[0];
		var thisClass = formOptions.form_class;
		var thisType = "button";
		jsonId = "button-submit"; // overwrite editor id naming tweaks
		
		if(thisClass == "exit"){thisType = "submit"};
				
		var thisElement = 
			"<p class='" + thisAlign + " form-submit-btn " + blockGroup + "'><button id='" + jsonId + 
			"' data-success='" + jsonSuccess + 
			"' data-fail='" + jsonFail + 
			"' class='btn btn-default " + jsonUtility01 + 
			"' type='" + thisType + "'>" + bntValidIcon + jsonSuccess +
			 "</button></p>"
			 $(thisFormId).append( thisElement );
			 
			 validList.push(true);
			 
	}
	
	function addDemoBtn(){
		var thisElement = "<a id='demoBtn' class='btn btn-default btn-xs center-block'>Submit Demo Form</a>";
		
		var thisUrl = document.location.href;
		var fileIndexOf = thisUrl.indexOf("file:");
		var httpIndexOf = thisUrl.indexOf("http");
		
		if(fileIndexOf > -1 && httpIndexOf == -1 && formOptions.form_class == "entry" && gameclass){
			$(thisFormId).append( thisElement );
			gameclass = 'demo';
		}
	}
	
	function addSelect(){

		//var thisValidState = jsonRequired;
		
		var filter01 = jsonId.toLowerCase();
		var thisName = filterNames(filter01);
		var thisId = "#" + thisName;
		
		var thisElement = 
			"<select name='" + thisName + 
			"' id='" + thisName +
			"' class='form-control screenSelect " + blockGroup + "'" + 
			" data-index='" + jsonIndex +
			"' data-block='" + blockIndex + 
			"' data-apicheck='" + jsonApi +
			"' ><option value='no_selection'>" + optionList[0]//jsonSuccess 
			+ "</option></select>";
		
			 $(thisFormId).append( thisElement );
			 
		for (var i = 0; i < optionList.length; i++) { 
			var valueSource = optionList[i];
			//var valueFilter01 = filterNames(valueSource);
			var valueFilter01 = valueSource.replace(/['"]+/g, '');
			var thisText = optionList[i];
			var thisOption = "<option value='" + valueFilter01 + "'>" + thisText + "</option>";
			if(i>0){
				$(thisId).append( thisOption );
			}
		}
		
		if(jsonRequired){  $(thisId).attr("required", "true") };
		validList.push(!jsonRequired);
			 
	}

	function addSelectChainFilter(){

		var filter01 = jsonId.toLowerCase();
		var thisName = filterNames(filter01);
		var thisId = "#" + thisName;
		var thisGroupIndex = -1; // index for group naming
		var thisIdIndex = -1; // index for unique element
		var thisGroupName = "";
		var thisIdName = "";
		var thisTableName = "";
		var textAlign = "text-" + jsonAlign;
		
		// GROUP INDEXING...
		var groupIndexing = filterGroupList.indexOf(jsonUtility01);
		if(groupIndexing == -1){
			filterGroupList.push(jsonUtility01);
			filterCountList = [];
			filterCountList.push(filterCountList.length);
			chainSuccess = jsonSuccess;
			chainFail = jsonFail;
		} else {
			filterCountList.push(filterCountList.length);
		}
		
		thisGroupIndex = filterGroupList.indexOf(jsonUtility01);
		thisIdIndex = filterCountList.length -1;
		thisGroupName = filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		thisIdName = filterGroupList[thisGroupIndex] + "-" + thisGroupIndex + "-" + thisIdIndex;
		thisTableName = "table-" + filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		var thisTrName = "tr-" + filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		var thisTrTarget = "#" + thisTrName;
		var thisThName = "th-" + filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		var thisThTarget = "#" + thisThName;
		var noSelectionValue = "no_selection-" + + thisGroupIndex + "-" + thisIdIndex;
		thisId = "#" + thisIdName;
		
		var thisTable = 
			"<table id='" + thisTableName + "' class='table-chain " + blockGroup + "'>\
				  <tr>\
					  <th id='" + thisThName + "' class='th-chain " + textAlign + "' colspan='0'>" + chainSuccess + "</th>\
				  </tr>\
				   <tr id='" + thisTrName + "'></tr>\
			</table>";
		
		if(thisIdIndex == 0){
			$(thisFormId).append( thisTable );
		}
		
		$(thisThTarget).attr("colspan", thisIdIndex + 1);
		
		var thisElement = 
			"<td><select name='" + thisName +
			"' id='" + thisIdName + 
			"' class='form-control screenSelectFilter selectRow " + blockGroup + " select-chain-" + thisGroupIndex +
			"' data-target='" + thisIdIndex +
			"' data-group='" + thisGroupIndex +
			"' data-index='" + jsonIndex +
			"' data-block='" + blockIndex + 
			"' data-success='" + chainSuccess + 
			"' data-fail='" + chainFail + 
			"' data-th='" + thisThTarget + 
			"' data-apicheck='" + jsonApi +
			"' ><option value='" + noSelectionValue + "'>" + optionList[0]//jsonSuccess 
			+ "</option></select></td>";
		
		$(thisTrTarget).append( thisElement );
			 
		for (var i = 0; i < optionList.length; i++) { 
			var valueSource = optionList[i];
			var valueFilter01 = filterNames(valueSource); // writes class
			var valueFilter02 = valueSource.replace(/['"]+/g, ''); // writes value
			var thisText = optionList[i];
			var thisOption = "<option class='" + valueFilter01 + "' value='" + valueFilter02 + "'>" + thisText + "</option>";
			if(i>0){
				$(thisId).append( thisOption );
			}
		}
		
		if(jsonRequired){  $(thisId).attr("required", "true") };
		validList.push(!jsonRequired);
			 
	} // end addSelectChainFilter()

	function addSelectChainVertical(){
		
		var filter01 = jsonId.toLowerCase();
		var thisName = filterNames(filter01);
		var thisId = "#" + thisName;
		var thisGroupIndex = -1; // index for group naming
		var thisIdIndex = -1; // index for unique element
		var thisGroupName = "";
		var thisIdName = "";
		var thisTableName = "";
		var textAlign = "text-" + jsonAlign;
		
		// GROUP INDEXING...
		var groupIndexing = filterGroupList.indexOf(jsonUtility01);
		if(groupIndexing == -1){
			filterGroupList.push(jsonUtility01);
			filterCountList = [];
			filterCountList.push(filterCountList.length);
			chainSuccess = jsonSuccess;
			chainFail = jsonFail;
		} else {
			filterCountList.push(filterCountList.length);
		}
		
		thisGroupIndex = filterGroupList.indexOf(jsonUtility01);
		thisIdIndex = filterCountList.length -1;
		thisGroupName = filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		thisIdName = filterGroupList[thisGroupIndex] + "-" + thisGroupIndex + "-" + thisIdIndex;
		thisTableName = "table-" + filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		var thisTableTargetId = "#" + thisTableName;
		var thisTrName = "tr-" + filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		var thisTrTarget = "#" + thisTrName;
		var thisThName = "th-" + filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		var thisThTarget = "#" + thisThName;
		var noSelectionValue = "no_selection-" + + thisGroupIndex + "-" + thisIdIndex;
		thisId = "#" + thisIdName;
		
		var thisTable = 
			"<table id='" + thisTableName + "' class='table-chain table-chain-vertical " + blockGroup + "'>\
				  <tr>\
					  <th id='" + thisThName + "' class='th-chain " + textAlign + "'>" + chainSuccess + "</th>\
				  </tr>\
				   <tr id='" + thisTrName + "'></tr>\
			</table>";
		
		if(thisIdIndex == 0){
			$(thisFormId).append( thisTable );
		}
		
		//$(thisThTarget).attr("colspan", thisIdIndex + 1);
		
		var thisElement = 
			"<tr><td class='td-chain-vertical'><select name='" + thisName +
			"' id='" + thisIdName + 
			"' class='form-control screenSelectFilter " + blockGroup + " select-chain-" + thisGroupIndex +
			"' data-target='" + thisIdIndex +
			"' data-group='" + thisGroupIndex +
			"' data-index='" + jsonIndex +
			"' data-block='" + blockIndex + 
			"' data-success='" + chainSuccess + 
			"' data-fail='" + chainFail + 
			"' data-th='" + thisThTarget + 
			"' data-apicheck='" + jsonApi +
			"' ><option value='" + noSelectionValue + "'>" + optionList[0]//jsonSuccess 
			+ "</option></select></td></tr>";
		
		//$(thisTrTarget).append( thisElement );
		$(thisTableTargetId).append(thisElement );
			 
		for (var i = 0; i < optionList.length; i++) { 
			var valueSource = optionList[i];
			var valueFilter01 = filterNames(valueSource);
			var valueFilter02 = valueSource.replace(/['"]+/g, '');
			var thisText = optionList[i];
			var thisOption = "<option class='" + valueFilter01 + "' value='" + valueFilter02 + "'>" + thisText + "</option>";
			if(i>0){
				$(thisId).append( thisOption );
			}
		}
		
		if(jsonRequired){  $(thisId).attr("required", "true") };
		validList.push(!jsonRequired);
			 
	} // end addSelectChainVertical()

/* ::::::::: [ HORIZONTAL SELECTS (NOT-CHAINED) BEGIN ] :::::::::: */	

function addSelectRow(){

		var filter01 = jsonId.toLowerCase();
		var thisName = filterNames(filter01);
		var thisId = "#" + thisName;
		var thisGroupIndex = -1; // index for group naming
		var thisIdIndex = -1; // index for unique element
		var thisGroupName = "";
		var thisIdName = "";
		var thisTableName = "";
		
		// GROUP INDEXING...
		var groupIndexing = filterGroupList.indexOf(jsonUtility01);
		if(groupIndexing == -1){
			filterGroupList.push(jsonUtility01);
			filterCountList = [];
			filterCountList.push(filterCountList.length);
			chainSuccess = jsonSuccess;
			chainFail = jsonFail;
		} else {
			filterCountList.push(filterCountList.length);
		}
		
		thisGroupIndex = filterGroupList.indexOf(jsonUtility01);
		thisIdIndex = filterCountList.length -1;
		thisGroupName = filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		thisIdName = filterGroupList[thisGroupIndex] + "-" + thisGroupIndex + "-" + thisIdIndex;
		thisTableName = "table-" + filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		var thisTrName = "tr-" + filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		var thisTrTarget = "#" + thisTrName;
		var noSelectionValue = "no_selection-" + + thisGroupIndex + "-" + thisIdIndex;
		thisId = "#" + thisIdName;
		
		var thisTable = 
			"<table id='" + thisTableName + "' class='table-chain table-select-row " + blockGroup + "'>\
				   <tr id='" + thisTrName + "'></tr>\
			</table>";
		
		if(thisIdIndex == 0){
			$(thisFormId).append( thisTable );
		}
		
		var thisElement = 
			"<td><select name='" + thisName +
			"' id='" + thisIdName + 
			"' class='form-control screenSelect selectRow " + blockGroup + " select-chain-" + thisGroupIndex +
			"' data-index='" + jsonIndex +
			"' data-block='" + blockIndex + 
			"' data-success='" + chainSuccess + 
			"' data-fail='" + chainFail + 
			"' data-apicheck='" + jsonApi +
			"' ><option value='" + noSelectionValue + "'>" + optionList[0]//jsonSuccess 
			+ "</option></select></td>";
		
		$(thisTrTarget).append( thisElement );
			 
		for (var i = 0; i < optionList.length; i++) { 
			var valueSource = optionList[i];
			var valueFilter01 = filterNames(valueSource);
			var valueFilter02 = valueSource.replace(/['"]+/g, '');
			var thisText = optionList[i];
			var thisOption = "<option class='" + valueFilter01 + "' value='" + valueFilter02 + "'>" + thisText + "</option>";
			if(i>0){
				$(thisId).append( thisOption );
			}
		}
		
		if(jsonRequired){  $(thisId).attr("required", "true") };
		validList.push(!jsonRequired);
			 
	} // addSelectRow()

function addSelectLabelRow(){

		var filter01 = jsonId.toLowerCase();
		var thisName = filterNames(filter01);
		var thisId = "#" + thisName;
		var thisGroupIndex = -1; // index for group naming
		var thisIdIndex = -1; // index for unique element
		var thisGroupName = "";
		var thisIdName = "";
		var thisTableName = "";
		var textAlign = "text-" + jsonAlign;
		
		// GROUP INDEXING...
		var groupIndexing = filterGroupList.indexOf(jsonUtility01);
		if(groupIndexing == -1){
			filterGroupList.push(jsonUtility01);
			filterCountList = [];
			filterCountList.push(filterCountList.length);
			chainSuccess = jsonSuccess;
			chainFail = jsonFail;
		} else {
			filterCountList.push(filterCountList.length);
		}
		
		thisGroupIndex = filterGroupList.indexOf(jsonUtility01);
		thisIdIndex = filterCountList.length -1;
		thisGroupName = filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		thisIdName = filterGroupList[thisGroupIndex] + "-" + thisGroupIndex + "-" + thisIdIndex;
		thisTableName = "table-" + filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		var thisTrName = "tr-" + filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		var thisTrTarget = "#" + thisTrName;
		var thisThName = "th-" + filterGroupList[thisGroupIndex] + "-" + thisGroupIndex;
		var thisThTarget = "#" + thisThName;
		var noSelectionValue = "no_selection-" + + thisGroupIndex + "-" + thisIdIndex;
		thisId = "#" + thisIdName;
		
		var thisTable = 
			"<table id='" + thisTableName + "' class='table-chain " + blockGroup + "'>\
				  <tr>\
					  <th id='" + thisThName + "' class='th-chain " + textAlign + "' colspan='0'>" + chainSuccess + "</th>\
				  </tr>\
				   <tr id='" + thisTrName + "'></tr>\
			</table>";
		
		if(thisIdIndex == 0){
			$(thisFormId).append( thisTable );
		}
		
		$(thisThTarget).attr("colspan", thisIdIndex + 1);
		
		var thisElement = 
			"<td><select name='" + thisName +
			"' id='" + thisIdName + 
			"' class='form-control screenSelectLabelRow select-chain-" + thisGroupIndex +
			"' data-group='" + thisGroupIndex +
			"' data-index='" + jsonIndex + 
			"' data-block='" + blockIndex + 
			"' data-success='" + chainSuccess + 
			"' data-fail='" + chainFail + 
			"' data-th='" + thisThTarget + 
			"' data-apicheck='" + jsonApi +
			"' ><option value='" + noSelectionValue + "'>" + optionList[0]//jsonSuccess 
			+ "</option></select></td>";
		
		$(thisTrTarget).append( thisElement );
			 
		for (var i = 0; i < optionList.length; i++) { 
			var valueSource = optionList[i];
			//var valueFilter01 = filterNames(valueSource);
			var valueFilter01 = valueSource.replace(/['"]+/g, '');
			var thisText = optionList[i];
			var thisOption = "<option value='" + valueFilter01 + "'>" + thisText + "</option>";
			if(i>0){
				$(thisId).append( thisOption );
			}
		}
		
		if(jsonRequired){  $(thisId).attr("required", "true") };
		validList.push(!jsonRequired);
			 
	} // addSelectLabelRow()
	
	function addCheckBox(){
				
		var thisElement;
		var thisValidState = jsonRequired;
			
		switch(optionList[0]) {
				case "checktrue":
					thisElement = // CHECKBOX CHECKED
								"<div class='checkbox " + blockGroup + "'><label><input type='" + jsonType + 
								"' id='" + jsonId +
								"' name='" + jsonId +
								"' class='screenCheckbox" +
								"' data-index='" + jsonIndex +
								"' data-block='" + blockIndex + 
								"' data-success='" + jsonSuccess +
								"' data-fail='" + jsonFail +
								"' data-apicheck='" + jsonApi +
								"' checked>" + "<span id='" + jsonId + "Span'>" + jsonSuccess + "</span>" + 
								"</label></div>";
								thisValidState = true;
					break;
				default:
					thisElement = // CHECKBOX NOT CHECKED
								"<div class='checkbox " + blockGroup + "'><label><input type='" + jsonType + 
								"' id='" + jsonId +
								"' name='" + jsonId +
								"' class='screenCheckbox" +
								"' data-index='" + jsonIndex +
								"' data-block='" + blockIndex + 
								"' data-success='" + jsonSuccess +
								"' data-fail='" + jsonFail +
								"' data-apicheck='" + jsonApi +
								"'>" + "<span id='" + jsonId + "Span'>" + jsonSuccess + "</span>" + 
								"</label></div>";
			} // END SWITCH
				
			 $(thisFormId).append( thisElement );
			 addValidState(thisValidState);
			 
			 if(optionList[0] == "checktrue" && thisValidState == true  ){
				 var validIndex =  validList.length - 1;
				 validList[validIndex] = true;
			 } // end if
			 
			 var thisId = "#" + jsonId; 
			 if(optionList[0] == "checktrue"){
				 $(thisId).val(true); //assign checked true value
			 } else {
				 $(thisId).val(false); // assign UN-checked false value
			 }
		
			if(jsonRequired == false){
				$(thisId).removeAttr('required');
			}
			 
	}

function addCheckVertical(){
				
	var titleElement = "<p class='" + blockGroup + " checkLabelVerticalP'><label>" + jsonSuccess + "</label></p>";
	$(thisFormId).append( titleElement);	
	
		for (i = 0; i < optionList.length; i++) { 

			var thisName = optionList[i].replace(/\s+/g, '-').toLowerCase() + "-" + jsonIndex;
			var thisId = "#" + thisName;

			var thisElement = 
				"<div class='checkbox " + blockGroup + "'> \
					<label> \
					<input id='" + thisName + "'  \
					name='" + thisName + "'  \
					class='screenCheckGroup " + blockGroup + " checkGroup-" + jsonIndex + "'  \
					data-index='" + jsonIndex + "'  \
					data-block='" + blockIndex + "' \
					data-success='"+ optionList[i] + "'  \
					data-required='"+ jsonRequired + "'  \
					data-group='.checkGroup-"+ jsonIndex + "'  \
					data-apicheck='" + jsonApi  + "'  \
					data-score='0'  \
					type='checkbox'> \
					<span id='checkbox-verticalSpan'>"+ optionList[i] + " \
					</span></label></div>";

				$(thisFormId).append( thisElement );
			
				/*if(jsonRequired == true){
					$(thisId).attr("required", "true")
				}*/
			} // end loop
	
			 addValidState(jsonRequired);
			 
	}

function addCheckHorizontal(){
				
	var checkboxRowId = "#table-tr-" + jsonIndex;
	var trIdName = "table-tr-" + jsonIndex;
	var columnCount = optionList.length;
	var tdIdNames = [];
	
	var tableElement = 
		"<p class='" + blockGroup + " checkLabelP'><label class='" + blockGroup + "'>" + jsonSuccess + "</label></p> \
	<table id='table-" + jsonIndex + "' class='checkBoxTable " + blockGroup + "'> \
			<tr id='" + trIdName + "'></tr> \
		</table>";
	
	$(thisFormId).append( tableElement);
	
	for (i = 0; i < optionList.length; i++) { 
		var thisId = "table-"+ jsonIndex + "-td-" +[i];
		tdIdNames.push("#" + thisId);
		var thisTd = "<td id='" + thisId + "'></td>";
		$(checkboxRowId).append(thisTd);
	}
	
		for (i = 0; i < optionList.length; i++) { 

			var thisName = optionList[i].replace(/\s+/g, '-').toLowerCase() + "-" + jsonIndex;
			var thisId = "#" + thisName;

			var thisElement = 
				"<div class='checkbox " + blockGroup + "'> \
					<label> \
					<input id='" + thisName + "'  \
					name='" + thisName + "'  \
					class='screenCheckGroup checkGroup-" + jsonIndex + "'  \
					data-index='" + jsonIndex + "'  \
					data-block='" + blockIndex + "'  \
					data-success='"+ optionList[i] + "'  \
					data-required='"+ jsonRequired + "'  \
					data-group='.checkGroup-"+ jsonIndex + "'  \
					data-apicheck='" + jsonApi  + "'  \
					data-score='0'  \
					type='checkbox'> \
					<span id='checkbox-verticalSpan'>"+ optionList[i] + " \
					</span></label></div>";

				//$$(thisFormId).append( thisElement );
				$(tdIdNames[i]).append( thisElement );
			
			if(i != 0){
				$(tdIdNames[i]).addClass('tdLeftRight')
			}
			
				/*if(jsonRequired == true){
					$(thisId).attr("required", "true")
				}*/
			} // end loop
	
			 addValidState(jsonRequired);
			 
	}
	
function addCheckRules(){
				
		var thisValidState = jsonRequired;
		
		var rulesSrc = jsonSuccess;
		var privacySrc = jsonFail;
		var checkContent = optionList[0];
		var spanName = jsonId + "Span";
		
		var rulesLink = "<a href='#' class='rulesLink' id='rulesHref'>" + rulesSrc + "</a>";
		var privacyLink = "<a href='#' class='privacyLink' id='privacyHref'>" + privacySrc + "</a>";
		var rulesFilter = checkContent.replace(rulesSrc, rulesLink).replace(privacySrc, privacyLink);

		var thisElement = // CHECKBOX NOT CHECKED
					"<div class='checkbox " + blockGroup + "'><label>" + 
					"<input type='checkbox' id='" + jsonId +
					"' name='" + jsonId +
					"' class='screenCheckRules'" +
					" data-index='" + jsonIndex +
					"' data-block='" + blockIndex +
					"' data-apicheck='" + jsonApi +
					"'>" + "<span id='" + spanName  + "'>" + rulesFilter + "</span>" + 
					"</label></div>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(thisValidState);
			 
			 var thisId = "#" + jsonId; // asign unchecked value
			$(thisId).val(false);	
			 
	}
	
	function addCheckRulesPopUp(){
				
		var thisValidState = jsonRequired;
		
		var rulesSrc = jsonSuccess;
		var privacySrc = jsonFail;
		var checkContent = optionList[0];
		var spanName = jsonId + "Span";
		
		var rulesLink = "<a href='#' class='rulesPopUp' id='rulesHref'>" + rulesSrc + "</a>";
		var privacyLink = "<a href='#' class='privacyPopUp' id='privacyHref'>" + privacySrc + "</a>";
		var rulesFilter = checkContent.replace(rulesSrc, rulesLink).replace(privacySrc, privacyLink);

		var thisElement = // CHECKBOX NOT CHECKED
					"<div class='checkbox " + blockGroup + "'><label>" + 
					"<input type='checkbox' id='" + jsonId +
					"' name='" + jsonId +
					"' class='screenCheckRules'" +
					" data-index='" + jsonIndex +
					"' data-block='" + blockIndex +
					"' data-apicheck='" + jsonApi +
					"'>" + "<span id='" + spanName  + "'>" + rulesFilter + "</span>" + 
					"</label></div>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(thisValidState);
		
		// ADD POP-UP DIV TO HTML BODY...
		 var termsPopUpDiv = 
			"<div id='termsDiv'> \
				<div id='closeDiv'> \
					<span id='btnCloseTerms' class='glyphicon glyphicon-remove pull-right'></span> \
				</div> \
					<iframe id='termsIframe'  scrolling='no' frameborder='0'></iframe> \
			</div>";
			$('body').append( termsPopUpDiv );
			
		var thisId = "#" + jsonId; // asign unchecked value
		$(thisId).val(false);			 
			 
	}

	function addRulesFooterText(){

			$('.footerRules').html(jsonSuccess);
			$('.footerPrivacy').html(jsonFail);

			addValidState(false);		 

		}
	
	function addCheckBoxBday(){
				
		var thisElement;
		var thisValidState = jsonRequired;
		jsonType = 'checkbox'
			
		switch(optionList[0]) {
				case "checktrue":
					thisElement = // CHECKBOX CHECKED
								"<div class='checkbox " + blockGroup + "'><label><input type='" + jsonType + 
								"' id='" + jsonId +
								"' name='" + jsonId +
								"' class='screenCheckbox'" +
								"' data-index='" + jsonIndex +
								"' data-block='" + blockIndex +
								"' data-success='" + jsonSuccess +
								"' data-fail='" + jsonFail +
								"' data-apicheck='" + jsonApi +
								"' checked>" + "<span id='" + jsonId + "Span'>" + jsonSuccess + "</span>" + 
								"</label></div>";
								thisValidState = true;
					break;
				default:
					thisElement = // CHECKBOX NOT CHECKED
								"<div class='checkbox " + blockGroup + "'><label><input type='" + jsonType + 
								"' id='" + jsonId +
								"' name='" + jsonId +
								"' class='screenCheckbox'" +
								"' data-index='" + jsonIndex +
								"' data-block='" + blockIndex +
								"' data-success='" + jsonSuccess +
								"' data-fail='" + jsonFail +
								"' data-apicheck='" + jsonApi +
								"'>" + "<span id='" + jsonId + "Span'>" + jsonSuccess + "</span>" + 
								"</label></div>";
			} // END SWITCH
				
			 $(thisFormId).append( thisElement );
			 addValidState(thisValidState);
			 
			 if(optionList[0] == "checktrue" && thisValidState == true  ){
				 var validIndex =  validList.length - 1;
				 validList[validIndex] = true;
			 } // end if
			 
			 var thisId = "#" + jsonId; // asign unchecked value
			$(thisId).val(false);
			 
	}
	
	function addRadioColumn(){

		var thisLabel = "<p class='" + blockGroup + " radioLabelP'><label class='radioLabel'>" + jsonSuccess + "</label></p>";
		var thisName = filterNames(jsonSuccess + "-" + jsonIndex);
		
		$(thisFormId).append( thisLabel );
			 
		for (var i = 0; i < optionList.length; i++) { 
			var valueSource = optionList[i];
			var valueFilter01 = filterNames(valueSource + "-" + jsonIndex);
			var thisId = "#" + valueFilter01;
			var thisText = optionList[i];
			var thisElement = 
					"<div class='radio " + blockGroup + "'><label><input type='radio' name='" + thisName + 
					"' id='" + valueFilter01 +
					"' class='screenRadio radioGroup" + jsonIndex + 
					"' data-index='" + jsonIndex +
					"' data-block='" + blockIndex +
					"' data-apicheck='" + jsonApi +
					"' value='" + valueFilter01 +"'>" + thisText + "</label></div>";
			
			$(thisFormId).append( thisElement );
			if(jsonRequired){  $(thisId).attr("required", "true") };
		}
		addValidState(jsonRequired);
			 
	}
	
	function addRadioRow(){

		//var thisLabel = "<div class='" + blockGroup + "'><label class='radioLabel'>" + jsonSuccess + "</label></div>";
		var thisLabel = "<label class='radioLabel'>" + jsonSuccess + "</label>";
		var thisName = filterNames(jsonSuccess + "-" + jsonIndex);
		
		//$(thisFormId).append( thisLabel );
		
		// WRITE TABLE...
		var radioRowId = "#table-tr-" + jsonIndex;
		var trIdName = "table-tr-" + jsonIndex;
		var tdIdNames = [];
	
		var tableElement = 
			"<p class='" + blockGroup + " radioLabelP'><label class='" + blockGroup + "'>" + thisLabel + "</label></p> \
		<table id='table-" + jsonIndex + "' class='radioTable " + blockGroup + "'> \
				<tr id='" + trIdName + "'></tr> \
			</table>";

		$(thisFormId).append( tableElement);
		
		// WRITE TDs FOR TABLE...
		for (i = 0; i < optionList.length; i++) { 
			var thisId = "table-"+ jsonIndex + "-td-" +[i];
			tdIdNames.push("#" + thisId);
			var thisTd = "<td id='" + thisId + "' class='radioTd'></td>";
			$(radioRowId).append(thisTd);
		}
		
		// WRITE RADIOS TO TDs...
		for (var i = 0; i < optionList.length; i++) { 
			var valueSource = optionList[i];
			var valueFilter01 = filterNames(valueSource + "-" + jsonIndex);
			var thisText = optionList[i];
			var thisId = "#" + valueFilter01;
					
			var thisElement = 
					"<div class='"+ blockGroup +"'>" +
					"<label class='radio-inline " + blockGroup + "'><input type='radio' name='" + thisName   + 
					"' id='" + valueFilter01 + 
					"' class='screenRadio " + blockGroup + " radioHorizontal radioGroup" + jsonIndex + 
					"' data-index='" + jsonIndex +
					"' data-block='" + blockIndex +
					"' data-apicheck='" + jsonApi +
					"' value='" + valueFilter01 + 
					"'>" + thisText + 
					"</label></div>";
					
			//$(thisFormId).append( thisElement );
			$(tdIdNames[i]).append( thisElement );
			if(jsonRequired){  $(thisId).attr("required", "true") };
		}
		addValidState(jsonRequired);
			 
	}
	
	function addTextArea(){
		var thisElement = 
				
		"<div id='" + jsonId + "Div" + 
		"' class='form-group has-feedback " + blockGroup + "'>" +
		"<textarea type='" + jsonType +
		"' class='form-control screenTextArea' id='" + jsonId + 
		"' name='" + jsonId + 
		"' aria-describedby='' placeholder='" + jsonSuccess + 
		"' data-index='" + jsonIndex + 
		"' data-block='" + blockIndex +
		"' data-success='" + jsonSuccess + 
		"' data-fail='" + jsonFail +
		"' data-minimum='" + optionList[0] +  
		"' data-apicheck='" + jsonApi +
		"' ></textarea>" + 
		"<span id='" + jsonId + "Span" + 
		"' class=' form-control-feedback' aria-hidden='true'></span>" + 
		"</div>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
	}
	
	function addTextP(){
		var thisId = jsonId + "-" + jsonIndex;
		var thisAlign = "text-" + jsonAlign + " " + blockGroup; //optionList[0];
		var thisElement = 
				"<p id='" + thisId + "' class='" + thisAlign +  "'></p>";
			 $(thisFormId).append( thisElement );
			 addValidState(false);
		
		var thisTargetId = "#" + thisId;
		var thisContent = jsonSuccess;
		$(thisTargetId).html(thisContent); // add content
	}
	
	function addTextH5(){
		var thisId = jsonId + "-" + jsonIndex;
		var thisAlign = "text-" + jsonAlign + " " + blockGroup;
		
		var thisElement = "<h5 id='" + thisId + "' class='" + thisAlign +  "'><strong>" + jsonSuccess + "</strong></h5>";
			 $(thisFormId).append( thisElement );
			 addValidState(false);
	}

	function addTextPLong(){
		var thisId = jsonId + "-" + jsonIndex;
		var thisAlign = "text-" + jsonAlign + " " + blockGroup; //optionList[0];
		var thisElement = 
				"<p id='" + thisId + "' class='" + thisAlign +  "'></p>";
			 $(thisFormId).append( thisElement );
			 addValidState(false);
		
		var thisTargetId = "#" + thisId;
		var thisContent = optionList[0];
		$(thisTargetId).html(thisContent); // add content
	}
	
	function addCaptcha(){
		
		var thisAlign = jsonAlign;
		var thisElement = 
				"<p id='captchaP' class='" + blockGroup + "'>" + 
				"<div id='captchaElement' class='g-recaptcha " + blockGroup + " divCaptcha' " + 
				"data-index='" + jsonIndex + "' data-callback='screenCaptcha' " + 
				"data-sitekey='6LfMIv4SAAAAACPb5Lc7VOd4WSOeAD1XpA7luNIy' data-block='" + blockIndex +"'></div></p>";
				
		var demoElement = "<p id='captchaP' class=''><div id='captchaElement' class='captchaDemo'></div></p>";
		var captchaLink = "http://www.google.com/recaptcha/api.js";
		
		if(jsonUtility01.length > 0){
			// http://developers.google.com/recaptcha/docs/language // en
			captchaLink += ("?hl=" + jsonUtility01);
		}
		
		if(liveForm == true){	
				$(thisFormId).append( thisElement );
			 	addValidState(jsonRequired);
		} else {
			$(thisFormId).append( demoElement  );
			 addValidState(false);
		}
				
				switch(thisAlign) {
					case "center":
						$('#captchaElement').addClass('captchaCenter');
						break;
					case "right":
						$('#captchaElement').addClass('captchaRight');
						break;
					default:
						$('#captchaElement').addClass('captchaLeft');
				}
				
		if(liveForm == true){	
			// $.getScript("http://www.google.com/recaptcha/api.js").done(function(){	
			$.getScript(captchaLink).done(function(){
							console.log('captcha happened');
						});
		}
			 
	}
	
	function addPinCode(){
		var thisAlign = "text-" + jsonAlign + " " + blockGroup;
		var pinType = optionList[0];
		var thisCode = "";
		
		//if(gameclass != "live"){
		if(gameclass == "demo"){
			// provide fallback links and code if not a live game
			var thisExit = "message.html";
			var thisDirectory = exitlinks[0].directoryid;
			
			thisExit = thisHost + "/message/" + thisDirectory + "/success";
				
			prize = {link:thisExit,code:"code-321",pin:"pin-987"}
		}
		
		switch(jsonId) {
			case "link-code":
				thisCode = prize.code;
				break;
			case "link-pin":
				thisCode = prize.pin;
				break;
			default:
				thisCode = prize.code;
		}
		//var thisLink = "<a href='" + prize.link + "' target='_blank'>" + thisCode + "</a>" ;
		var thisElement = 
				"<p id='" + jsonId + "' class='" + thisAlign +  "'>" + thisCode + "</p>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(false);
	}

	function addLinkPinCode(){
		var thisAlign = "text-" + jsonAlign + " " + blockGroup;
		var thisCode = "";
		
		//if(gameclass != "live"){
		if(gameclass == "demo"){
			// provide fallback links and code if not a live game
			
			var thisExit = "message.html";
			var thisDirectory = exitlinks[0].directoryid;
			
			thisExit = thisHost + "/message/" + thisDirectory + "/success";
				
			prize = {link:thisExit,code:"code-321",pin:"pin-987"}
		}
		
		var thisLink = "<a href='" + prize.link + "' target='_blank'>" + jsonSuccess + "</a>" ;
		var thisElement = 
				"<p id='" + jsonId + "' class='" + thisAlign +  "'>" + thisLink + "</p>";
				
			 $(thisFormId).append( thisElement );
			 addValidState(false);
	}
	
	function addHrzRule(){
		var thisElement = "<hr id='" + jsonId + "' class='" + blockGroup + "'>";
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
	}

function addFormImage(){
		var thisImg = imgpath + jsonSuccess;
		
		if(isWireframe == false){
			thisImg = campaignoptions[0].imageurl + jsonSuccess; // USE json Image path if it exists
		}
		
		var thisElement = 
			"<img id='" + jsonId + "' class='center-block img-responsive " + blockGroup + "' src='" + thisImg + "''>";
		
		if(formOptions.form_class== "exit" && jsonRange.indexOf(winlevel) == -1){
			thisElement = "<div id='" + jsonId + "' class='imagePlaceholderDiv collapse " + blockGroup + "'></div"
		}
		
		 $(thisFormId).append( thisElement );
		 addValidState(false);
	}

	function addEmSpace(){
		var thisElement = "<div id='" + jsonId + "' class='" + blockGroup + 
							"' style='height:" + jsonSuccess +"em'></div>";
			 $(thisFormId).append( thisElement );
			 addValidState(false);
	}
	
	function addCustomElement(){
		
		var thisElement = optionList[0];
		
			 $(thisFormId).append( thisElement );
			 addValidState(jsonRequired);
	}

	function addPlayerId(){
		var thisElement = 
			"<div id='playerIdDiv' class='collapse " + blockGroup + "'> \
				<input id='" + playerIdTag + "' name='" + playerIdTag + "' placeholder='Player ID' \
				data-target='" + playeIdTarget + "' data-apicheck='" + jsonApi + "' type='text'> \
			</div>";

		$(thisFormId).append( thisElement );
	}
	
	function addValidState(isvalid){
		
		var thisId = "#" + jsonId;
		
		if(isvalid){
			validList.push(false);	
			$(thisId).attr("required", "true");
		} else {
			validList.push(true);	
		} // end if/else
		
		var thisIndex = validList.length - 1;
		//console.log(thisId + validList[thisIndex]);
		
		if(formOptions.form_class== "exit" && jsonRange.indexOf(winlevel) == -1){
			// set valid to true if fulfillment element will be hidden
			var lastValidIndex = (validList.length - 1); 
			validList[lastValidIndex] = true; // reset this valid node
		}
		
		if(sourceApi > 12){
			switch(jsonMailBounce) {
				case "inline":
					addMailBounceClass(thisId);
					break;
				case "message":
					addMailBounceClass(thisId);
					break;
				default:
					jsonMailBounce = jsonMailBounce;
			} // end switch
		} // end sourceAPI if
		
	}

/* :::::::::: [ MAIL BOUNCE START ] :::::::::: */
/* :::::::::: [ MAIL BOUNCE START ] :::::::::: */

function addMailBounceClass(txt){
	
	hasMailBounce = true;
	
	var thisId = txt;		
	if(	jsonMailBounce == "inline"){
			if(gameclass == "test" || gameclass == "live"){
				switch(jsonType) {
					case "email":
						$(thisId).addClass("screenMailBounceInline").addClass("reserveMailBounce");
						$(thisId).removeClass("screenInput");
						break;
					case "email-lc":
							$(thisId).addClass("screenMailBounceInline").addClass("reserveMailBounce");
							$(thisId).removeClass("screenInput");
							$(thisId).attr('type', 'email'); 
						break;
					case "email-pair":
						if(thisId == "#emailpair02"){
							$('#emailpair01').attr('type', 'text'); 
							$('#emailpair02').addClass("screenMailBouncePair").addClass("reserveMailBounce");
							$('#emailpair02').removeClass('screenEmailPair');
						}
						break;
					case "text-label":
							$(thisId).addClass("screenMailBounceLabel").addClass("reserveMailBounce");
							$(thisId).removeClass("screenLabel");
						break;
					case "text-pattern":
						$(thisId).addClass("screenMailBounceInline").addClass("reserveMailBounce");
						$(thisId).removeClass("screenInput");
						break;
					case "email-submitted-unlocked": // submitted email w Label
						$(thisId).addClass("screenMailBounceLabel").addClass("reserveMailBounce");
						$(thisId).removeClass("screenLabel");
						break;
					case "email-submitted-unlocked-input":  // submitted email NO Label
						$(thisId).addClass("screenMailBounceInline").addClass("reserveMailBounce");
						$(thisId).removeClass("screenInput");
						break;
					default:
						jsonMailBounce = jsonMailBounce;
				}; // end jsonType swtich
			}; // end gameclass if
		} // end jsonMailBounce inline if
		
		if(	jsonMailBounce == "message"){
			$(thisId).addClass("reserveMailBounceMsg");
		}
		
}


function filterMailBounceTypes(){
	
	for (i = 0; i < formOptions.form_names.length; i++) { 
		var thisName = $( "input[name='" + formOptions.form_names[i] + "']" ); // formOptions.form_names[i];
		var thisId = $(thisName).attr("id");
		var thisIdTarget = "#" + thisId;
		var thisClass = $(thisIdTarget ).attr('class') || "no-classes-in-element";
		var thisType = $(thisIdTarget ).attr('type');
		
		var isBounce = false;
		var indexOfBounce = thisClass.indexOf("Bounce");
		if(indexOfBounce >= 0){isBounce = true};
		
		if(thisType == "email" && isBounce == false ){
			$(thisIdTarget).prop('type', 'text');
			$(thisIdTarget).prop('pattern', '[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+.[a-zA-Z]{2,4}$');
				var field = document.querySelector(thisIdTarget);
				if(_NBSettings.apiKey != "none"){
					_nb.fields.unregisterListener(field);
				} // end if _NBSettings
		} // end if email
		
	} // end loop form_names
			
} // end filterMailBounceTypes()

/* :::::::::: [ MAIL BOUNCE END ] :::::::::: */
/* :::::::::: [ MAIL BOUNCE END ] :::::::::: */

function validateUrl(){
	
		/* ::::::::::: [ URL TO FIELD START ] ::::::::::: */
		
		// URL SPLITS... 
		var thisUrl = window.location.href;  // ?name=abcdefg&email=abc@def.com
		
		var filter00 = thisUrl.split('?'); // get tail of url
		if(filter00[1]){ // if data exists for split
			var filter01 =  filter00[1].split('&'); // split tail info
			var valueList = filter01; // array of form IDs & values
			
			for (i = 0; i < valueList.length; i++) { 
				// splits for fields and values pulled from url
				var filter03 = valueList[i].split('=');
				var filterId = filter03[0]; // id from this split
				var filterValue = decodeURI(filter03[1]); // value from this split
				var thisIdTarget = "#" + filterId;
				var targetFiedIndex =  $(thisIdTarget).data("index");
				$(thisIdTarget).val(filterValue);
				
				var isInput = $(thisIdTarget).is('input');
				var isSelect = $(thisIdTarget).is('select');
				
				if(isInput == true || isSelect == true){
					var inpObj = document.getElementById(filterId);
					var isFieldValid = inpObj.checkValidity();
					if(filterValue.length > 0){
						validList[targetFiedIndex] = isFieldValid;
					} // end if filterValue
					
				} // end if isInput/ isSelect
				
			} // end valueList loop
			
			//PLAYER-ID CHECK
			var playerIdIndexNames = formOptions.form_names.indexOf("player-id");
			var playerIdIndexUrl = thisUrl.indexOf("player-id=");
			if(playerIdIndexNames > -1 || playerIdIndexUrl > -1){
				filterPlayerIdUrl();
			} // end player-id if
			
		} // END filter00[i] if
		
		/* ::::::::::: [ URL TO FIELD END ] ::::::::::: */
	
} // validateUrl()

/* ::::::::::: [ MATCH PLAYER-ID TO SOURCE FIELD START ] ::::::::::: */
	function filterPlayerIdUrl(){
		var thisTarget = $('#player-id').data("target");
		var thisTargetValue = $(thisTarget).val();
		$('#player-id').val(thisTargetValue);
	}
/* ::::::::::: [ MATCH PLAYER-ID TO SOURCE FIELD END ] ::::::::::: */
	
	function validOnLoad(){
		
		validateUrl();
		
		var thisScore = 0;
		
		$('input').addClass('screenNoReturnKey'); // patch for return key issue, 07-2019
		
		for (i = 0; i < validList.length; i++) { 
			if(validList[i] == true){thisScore += 1}
		}
		
		if(validList.length == thisScore){
			var dataSuccess = $("#button-submit").data("success"); 
			$("#button-submit").removeAttr("disabled");
			$("#button-submit").removeClass("disabled");
			$("#button-submit").html(bntValidIcon + dataSuccess);
		} // end length/score if
		
	} // validOnLoad()
	
	/* ::::::::::: [ TABLE CELL WITH SELECT BEGIN ] :::::::::::: */
	/* ::::::::::: [ TABLE CELL WITH SELECT BEGIN ] :::::::::::: */
	
	$( window ).resize(function() {
		sizeTdSelect();
	});
	
	function sizeTdSelect(){
		var thisWidth = $('.elementTable').width();
		var tdWidth = Math.round( thisWidth * .5 );
		$('.tdSelect').css('width', tdWidth);
	}


function filterNames(string){
	//var thisString = string.replace(/ /g,"-").replace(/[^A-Za-z0-9\-]/g,'').replace(/-+/g,'-').toLowerCase();
	var thisString = string.replace(/ /g,"-")
			.replace(/[`~!@#$%^&*()_|+\=?;:'",.<>\{\}\[\]\\\/]/gi, '')
			.replace(/-+/g,'-').toLowerCase();
	
	if(thisString.charAt(0) == '-'){
	 thisString = thisString.slice(1, thisString.length); // delete minus if first character
	}
	
	return thisString;
}
	
	/* ::::::::::: [ TABLE CELL WITH SELECT END ] :::::::::::: */
	/* ::::::::::: [ TABLE CELL WITH SELECT END ] :::::::::::: */
	
	